"use strict";


var visibleQuestions = {
    grade: true,
    mild: false,
    mildManagement: false,
    mildAssessment: false,
    moderate: false,
    moderateManagement: false,
    moderateAssessment: false,
    severe: false,
    severeManagement: false,
    severeAssessment: false,
    lifeThreatening: false,
    lifeThreateningManagement: false,
    lifeThreateningAssessment: false
};
var visibleSections = {
    section1: true,
    resultSection1: false,
    additionalMild: false,
    resultSection2: false,
    additionalModerate: false,
    resultSection3: false,
    additionalSevere: false,
    resultSection4: false,
    additionalLifeThreatening: false
};
var inputs = {
    grade: null
};
var resultSectionVisible = function (section) {
    var _a;
    return (helpers_1.isAnswered(inputs.grade) && Number((_a = inputs.grade) === null || _a === void 0 ? void 0 : _a.currentPoints) === section);
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    visibleQuestions.mild = resultSectionVisible(1);
    visibleQuestions.mildManagement = resultSectionVisible(1);
    visibleQuestions.mildAssessment = resultSectionVisible(1);
    visibleQuestions.moderate = resultSectionVisible(2);
    visibleQuestions.moderateManagement = resultSectionVisible(2);
    visibleQuestions.moderateAssessment = resultSectionVisible(2);
    visibleQuestions.severe = resultSectionVisible(3);
    visibleQuestions.severeManagement = resultSectionVisible(3);
    visibleQuestions.severeAssessment = resultSectionVisible(3);
    visibleQuestions.lifeThreatening = resultSectionVisible(4);
    visibleQuestions.lifeThreateningManagement = resultSectionVisible(4);
    visibleQuestions.lifeThreateningAssessment = resultSectionVisible(4);
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.resultSection1 = resultSectionVisible(1);
    visibleSections.additionalMild = resultSectionVisible(1);
    visibleSections.resultSection2 = resultSectionVisible(2);
    visibleSections.additionalModerate = resultSectionVisible(2);
    visibleSections.resultSection3 = resultSectionVisible(3);
    visibleSections.additionalSevere = resultSectionVisible(3);
    visibleSections.resultSection4 = resultSectionVisible(4);
    visibleSections.additionalLifeThreatening = resultSectionVisible(4);
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return helpers_1.isAnswered(inputs.grade);
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
