"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};


var visibleQuestions = {
    weight: true,
    age: true,
    result11: true,
    resultEnterWeight: true,
    result311: true,
    result312: true,
    result411: true,
    result421: true,
    result422: true,
    result423: true,
    result511: true,
    result513: true,
    result514: true,
    resultConsideration52: true,
    suspensionAD1: true,
    suspensionAD2: true,
    suspensionAD3: true,
    suspensionAD4: true,
    kidneyFirst: true,
    kidneySecond: true
};
var visibleSections = {
    weightSection: true,
    result1: true,
    result2: true,
    result31: true,
    result41: true,
    result42: true,
    result51: true,
    result52: true,
    suspensionAD: true,
    kidneySection: true
};
var inputs = {
    weight: null,
    age: null
};
var calculatePoints = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0;
    var res4211 = 0;
    var res4212 = 0;
    var res4221 = 0;
    var res4222 = 0;
    var res4223 = 0;
    var res4224 = 0;
    var res4231 = 0;
    var res4232 = 0;
    var res4233 = 0;
    var res4234 = 0;
    var res5111 = 0;
    var res5112 = 0;
    var res5121 = 0;
    var res5131 = 0;
    var res5132 = 0;
    var res5133 = 0;
    var res5134 = 0;
    var res5135 = 0;
    var res5136 = 0;
    var res5141 = 0;
    var res5142 = 0;
    var res5143 = 0;
    var res5144 = 0;
    var res5145 = 0;
    var res5146 = 0;
    if (helpers_1.numberInLimits({ input: inputs.weight, min: 1, max: 300 })) {
        if (isResultVisible(4)) {
            res4211 = (25 * Number((_a = inputs.weight) === null || _a === void 0 ? void 0 : _a.currentPoints)) / 160;
            res4212 = (70 * Number((_b = inputs.weight) === null || _b === void 0 ? void 0 : _b.currentPoints)) / 160;
            res4221 = 12.5 * Number((_c = inputs.weight) === null || _c === void 0 ? void 0 : _c.currentPoints);
            res4222 = 35 * Number((_d = inputs.weight) === null || _d === void 0 ? void 0 : _d.currentPoints);
            res4223 = 25 * Number((_e = inputs.weight) === null || _e === void 0 ? void 0 : _e.currentPoints);
            res4224 = 70 * Number((_f = inputs.weight) === null || _f === void 0 ? void 0 : _f.currentPoints);
            res4231 = 1.8 * Number((_g = inputs.weight) === null || _g === void 0 ? void 0 : _g.currentPoints);
            res4232 = 5 * Number((_h = inputs.weight) === null || _h === void 0 ? void 0 : _h.currentPoints);
            res4233 = 3.6 * Number((_j = inputs.weight) === null || _j === void 0 ? void 0 : _j.currentPoints);
            res4234 = 10 * Number((_k = inputs.weight) === null || _k === void 0 ? void 0 : _k.currentPoints);
        }
        if (isResultVisible(5)) {
            res5111 = (25 * Number((_l = inputs.weight) === null || _l === void 0 ? void 0 : _l.currentPoints)) / 160;
            res5112 = (45 * Number((_m = inputs.weight) === null || _m === void 0 ? void 0 : _m.currentPoints)) / 160;
            res5121 = (70 * Number((_o = inputs.weight) === null || _o === void 0 ? void 0 : _o.currentPoints)) / 160;
            res5131 = 12.5 * Number((_p = inputs.weight) === null || _p === void 0 ? void 0 : _p.currentPoints);
            res5132 = 22.5 * Number((_q = inputs.weight) === null || _q === void 0 ? void 0 : _q.currentPoints);
            res5133 = 25 * Number((_r = inputs.weight) === null || _r === void 0 ? void 0 : _r.currentPoints);
            res5134 = 45 * Number((_s = inputs.weight) === null || _s === void 0 ? void 0 : _s.currentPoints);
            res5135 = 35 * Number((_t = inputs.weight) === null || _t === void 0 ? void 0 : _t.currentPoints);
            res5136 = 70 * Number((_u = inputs.weight) === null || _u === void 0 ? void 0 : _u.currentPoints);
            res5141 = 1.8 * Number((_v = inputs.weight) === null || _v === void 0 ? void 0 : _v.currentPoints);
            res5142 = 3.2 * Number((_w = inputs.weight) === null || _w === void 0 ? void 0 : _w.currentPoints);
            res5143 = 3.6 * Number((_x = inputs.weight) === null || _x === void 0 ? void 0 : _x.currentPoints);
            res5144 = 6.4 * Number((_y = inputs.weight) === null || _y === void 0 ? void 0 : _y.currentPoints);
            res5145 = 5 * Number((_z = inputs.weight) === null || _z === void 0 ? void 0 : _z.currentPoints);
            res5146 = 10 * Number((_0 = inputs.weight) === null || _0 === void 0 ? void 0 : _0.currentPoints);
        }
    }
    return {
        result: 0,
        range: 0,
        result11: {
            qID: 'result11',
            rParams: [],
            resultTexts: 'regular'
        },
        result311: {
            qID: 'result311',
            tParams: [],
            rParams: [],
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        result312: {
            qID: 'result312',
            tParams: [],
            rParams: [],
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        result411: {
            qID: 'result411',
            rParams: [],
            resultTexts: 'regular'
        },
        kidneyFirst: {
            qID: 'kidneyFirst',
            tParams: [],
            titleTexts: 'result1'
        },
        kidneySecond: {
            qID: 'kidneySecond',
            tParams: [],
            titleTexts: 'result1'
        },
        suspensionAD1: {
            qID: 'suspensionAD1',
            tParams: [],
            rParams: [],
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        suspensionAD2: {
            qID: 'suspensionAD2',
            tParams: [],
            rParams: [],
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        suspensionAD3: {
            qID: 'suspensionAD3',
            tParams: [],
            rParams: [],
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        suspensionAD4: {
            qID: 'suspensionAD4',
            tParams: [],
            rParams: [],
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        result421: {
            qID: 'result421',
            tParams: __spreadArrays(helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4211, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4212, 1), 0, 1)),
            titleTexts: 'result1'
        },
        result422: {
            qID: 'result422',
            tParams: [],
            rParams: __spreadArrays(helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4221, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4222, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4223, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4224, 1), 0, 1)),
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        result423: {
            qID: 'result423',
            tParams: [],
            rParams: __spreadArrays(helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4231, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4232, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4233, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res4234, 1), 0, 1)),
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        result511: {
            qID: 'result511',
            tParams: __spreadArrays(helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5111, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5112, 1), 0, 1)),
            rParams: __spreadArrays(helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5121, 1), 0, 1)),
            titleTexts: 'result1',
            resultTexts: 'result1'
        },
        result513: {
            qID: 'result513',
            tParams: [],
            rParams: __spreadArrays(helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5131, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5132, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5133, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5134, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5135, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5136, 1), 0, 1)),
            titleTexts: 'regular',
            resultTexts: 'regular'
        },
        result514: {
            qID: 'result514',
            tParams: [],
            rParams: __spreadArrays(helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5141, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5142, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5143, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5144, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5145, 1), 0, 1), helpers_1.returnNumberObject(helpers_1.formatCalculationResult(res5146, 1), 0, 1)),
            titleTexts: 'regular',
            resultTexts: 'regular'
        }
    };
};
var isExportResultsEnabled = function () {
    return !isResultVisible(2);
};
var isResultVisible = function (section) {
    var _a;
    if (section === 1) {
        return helpers_1.isAnswered(inputs.age) && ((_a = inputs.age) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'less2';
    }
    if (section === 2) {
        return !helpers_1.numberInLimits({ input: inputs.weight, min: 1, max: 300 });
    }
    if (section === 3) {
        return helpers_1.numberInLimits({ input: inputs.weight, min: 40, max: 300 });
    }
    if (section === 4) {
        return helpers_1.numberInLimits({ input: inputs.weight, min: 25, max: 39.99 });
    }
    if (section === 5) {
        return (helpers_1.numberInLimits({ input: inputs.weight, min: 1, max: 24.99 }) &&
            (!isAgeVisible() ||
                (isAgeVisible() && helpers_1.answerMatches(inputs.age, 'moreOrEquals2'))));
    }
    return false;
};
var isAgeVisible = function () {
    return helpers_1.numberInLimits({ input: inputs.weight, min: 1, max: 9.99 });
};
var isKidneySectionVisible = function () {
    return (helpers_1.numberInLimits({ input: inputs.weight, min: 1, max: 300 }) &&
        (!isAgeVisible() ||
            (isAgeVisible() && helpers_1.answerMatches(inputs.age, 'moreOrEquals2'))));
};
var isSuspensionADVisible = function () {
    var _a;
    return ((_a = inputs._countryCode) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'de' && isResultVisible(3);
};
var returnVisibleQuestions = function () {
    visibleQuestions.age = isAgeVisible();
    visibleQuestions.result11 = isResultVisible(1);
    visibleQuestions.resultEnterWeight = isResultVisible(2);
    visibleQuestions.result311 = isResultVisible(3);
    visibleQuestions.result312 = isResultVisible(3);
    visibleQuestions.result411 = isResultVisible(4);
    visibleQuestions.result421 = isResultVisible(4);
    visibleQuestions.result422 = isResultVisible(4);
    visibleQuestions.result423 = isResultVisible(4);
    visibleQuestions.result511 = isResultVisible(5);
    visibleQuestions.result513 = isResultVisible(5);
    visibleQuestions.result514 = isResultVisible(5);
    visibleQuestions.resultConsideration52 = isKidneySectionVisible();
    visibleQuestions.suspensionAD1 = isSuspensionADVisible();
    visibleQuestions.suspensionAD2 = isSuspensionADVisible();
    visibleQuestions.suspensionAD3 = isSuspensionADVisible();
    visibleQuestions.suspensionAD4 = isSuspensionADVisible();
    visibleQuestions.kidneyFirst = isKidneySectionVisible();
    visibleQuestions.kidneySecond = isKidneySectionVisible();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.result1 = isResultVisible(1);
    visibleSections.result2 = isResultVisible(2);
    visibleSections.result31 = isResultVisible(3);
    visibleSections.result41 = isResultVisible(4);
    visibleSections.result42 = isResultVisible(4);
    visibleSections.result51 = isResultVisible(5);
    visibleSections.result52 = isKidneySectionVisible();
    visibleSections.kidneySection = isKidneySectionVisible();
    visibleSections.suspensionAD = isSuspensionADVisible();
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
