"use strict";


var visibleQuestions = {
    firstApplication: true,
    followingApplications: true,
    stadium: true,
    result1: false,
    result2: false,
    result3: false,
    result4: false
};
var visibleSections = {
    premedication: true,
    infusionReaction: true,
    infusionReactionManagement: false
};
var inputs = {
    stadium: null
};
var isResult2Visible = function () {
    return helpers_1.answerMatches(inputs.stadium, 'stadium1');
};
var isResult3Visible = function () {
    return helpers_1.answerMatches(inputs.stadium, 'stadium2');
};
var isResult4Visible = function () {
    return (helpers_1.answerMatches(inputs.stadium, 'stadium3') ||
        helpers_1.answerMatches(inputs.stadium, 'stadium4'));
};
var isInfusionReactionManagementVisible = function () {
    return helpers_1.isAnswered(inputs.stadium);
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    visibleQuestions.result1 = isInfusionReactionManagementVisible();
    visibleQuestions.result2 = isResult2Visible();
    visibleQuestions.result3 = isResult3Visible();
    visibleQuestions.result4 = isResult4Visible();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.infusionReactionManagement =
        isInfusionReactionManagementVisible();
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var isExportResultsEnabled = function () {
    return helpers_1.isAnswered(inputs.stadium);
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
