"use strict";

var visibleQuestions = {
    infoText: true,
    clinicalOpen: true,
    clinicalText: false,
    etiologicalOpen: true,
    ethiologicalText: false,
    anatomicalOpen: true,
    anatomicalText: false,
    pathopysiolgicalOpen: true,
    patophysiologicalText: false,
    warningAnatomical: false
};
var visibleSections = {
    clinical: true,
    etiological: true,
    anatamoical: true,
    pathophysiological: true
};
var inputs = {
    clinicalOpen: null,
    etiologicalOpen: null,
    anatomicalOpen: null,
    pathopysiolgicalOpen: null
};
var isOpen = function (name) {
    return inputs[name].currentIdentifier === 'close';
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    visibleQuestions.clinicalText = isOpen('clinicalOpen');
    visibleQuestions.ethiologicalText = isOpen('etiologicalOpen');
    visibleQuestions.anatomicalText = isOpen('anatomicalOpen');
    visibleQuestions.patophysiologicalText = isOpen('pathopysiolgicalOpen');
    visibleQuestions.warningAnatomical = isOpen('pathopysiolgicalOpen');
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return true;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
