"use strict";


var visibleQuestions = {
    creatinine: true,
    resultveryNormal: true,
    durationNormal: true,
    dosingLow: true,
    durationLow: true,
    resultveryLow: true,
    durationVeryLow: true,
    kidneyVeryLow: true,
    result131: true
};
var visibleSections = {
    kidneySelection: true,
    resultNormal: false,
    resultLow: false,
    resultVeryLow: false,
    kidneySection: false,
    result13: false
};
var inputs = {
    creatinine: null
};
var calculatePoints = function () {
    return null;
};
var isResultNormalVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'normal');
};
var isResultLowVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'low');
};
var isResultVeryLowVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'veryLow');
};
var isKidneySectionVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'veryLow');
};
var isAllAnswered = function () {
    return helpers_1.isAnswered(inputs.creatinine);
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.resultNormal = isResultNormalVisible();
    visibleSections.resultLow = isResultLowVisible();
    visibleSections.resultVeryLow = isResultVeryLowVisible();
    visibleSections.kidneySection = isKidneySectionVisible();
    visibleSections.result13 = isAllAnswered();
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return isAllAnswered();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
