"use strict";

var visibleQuestions = {
    primaryOGallery: true,
    primaryO: true,
    saxagliptinPO: false,
    alogliptinPO: false,
    sitagliptinPO: false,
    linagliptinPO: false,
    glimepiridePO: false,
    vildagliptinPO: false,
    clinicalTrials1: true,
    deathGallery: true,
    death: true,
    saxagliptinD: false,
    alogliptinD: false,
    sitagliptinD: false,
    linagliptinD: false,
    glimepirideD: false,
    vildagliptinD: false,
    CVdeathGallery: true,
    CVdeath: true,
    saxagliptinCVD: false,
    alogliptinCVD: false,
    sitagliptinCVD: false,
    linagliptinCVD: false,
    glimepirideCVD: false,
    vildagliptinCVD: false,
    MIGallery: true,
    MI: true,
    saxagliptinMI: false,
    alogliptinMI: false,
    sitagliptinMI: false,
    linagliptinMI: false,
    glimepirideMI: false,
    vildagliptinMI: false,
    strokeGallery: true,
    stroke: true,
    saxagliptinS: false,
    alogliptinS: false,
    sitagliptinS: false,
    linagliptinS: false,
    glimepirideS: false,
    vildagliptinS: false,
    HFGallery: true,
    HF: true,
    saxagliptinHF: false,
    alogliptinHF: false,
    sitagliptinHF: false,
    linagliptinHF: false,
    glimepirideHF: false,
    vildagliptinHF: false,
    renalGallery: true,
    renal: true,
    saxagliptinR: false,
    alogliptinR: false,
    sitagliptinR: false,
    linagliptinR: false,
    vildagliptinR: false,
    renalDosingGallery: true,
    renalDosing: true,
    saxagliptinRD: false,
    alogliptinRD: false,
    sitagliptinRD: false,
    linagliptinRD: false,
    vildagliptinRD: false
};
var visibleSections = {
    section1: true,
    section2: true,
    section3: true,
    section4: true,
    section5: true,
    section6: true,
    section7: true,
    section8: true,
    section9: true
};
var inputs = {
    primaryO: null,
    death: null,
    CVdeath: null,
    MI: null,
    stroke: null,
    HF: null,
    renal: null,
    renalDosing: null
};
var returnVisibleQuestions = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21;
    visibleQuestions.saxagliptinPO =
        ((_a = inputs.primaryO) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "hide";
    visibleQuestions.alogliptinPO = ((_b = inputs.primaryO) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinPO =
        ((_c = inputs.primaryO) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "hide";
    visibleQuestions.linagliptinPO =
        ((_d = inputs.primaryO) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "hide";
    visibleQuestions.glimepiridePO =
        ((_e = inputs.primaryO) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinPO =
        ((_f = inputs.primaryO) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "hide";
    visibleQuestions.saxagliptinD = ((_g = inputs.death) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "hide";
    visibleQuestions.alogliptinD = ((_h = inputs.death) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinD = ((_j = inputs.death) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "hide";
    visibleQuestions.linagliptinD = ((_k = inputs.death) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "hide";
    visibleQuestions.glimepirideD = ((_l = inputs.death) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinD = ((_m = inputs.death) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "hide";
    visibleQuestions.saxagliptinCVD =
        ((_o = inputs.CVdeath) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "hide";
    visibleQuestions.alogliptinCVD = ((_p = inputs.CVdeath) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinCVD =
        ((_q = inputs.CVdeath) === null || _q === void 0 ? void 0 : _q.currentIdentifier) === "hide";
    visibleQuestions.linagliptinCVD =
        ((_r = inputs.CVdeath) === null || _r === void 0 ? void 0 : _r.currentIdentifier) === "hide";
    visibleQuestions.glimepirideCVD =
        ((_s = inputs.CVdeath) === null || _s === void 0 ? void 0 : _s.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinCVD =
        ((_t = inputs.CVdeath) === null || _t === void 0 ? void 0 : _t.currentIdentifier) === "hide";
    visibleQuestions.saxagliptinMI = ((_u = inputs.MI) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "hide";
    visibleQuestions.alogliptinMI = ((_v = inputs.MI) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinMI = ((_w = inputs.MI) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "hide";
    visibleQuestions.linagliptinMI = ((_x = inputs.MI) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === "hide";
    visibleQuestions.glimepirideMI = ((_y = inputs.MI) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinMI = ((_z = inputs.MI) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "hide";
    visibleQuestions.saxagliptinS = ((_0 = inputs.stroke) === null || _0 === void 0 ? void 0 : _0.currentIdentifier) === "hide";
    visibleQuestions.alogliptinS = ((_1 = inputs.stroke) === null || _1 === void 0 ? void 0 : _1.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinS = ((_2 = inputs.stroke) === null || _2 === void 0 ? void 0 : _2.currentIdentifier) === "hide";
    visibleQuestions.linagliptinS = ((_3 = inputs.stroke) === null || _3 === void 0 ? void 0 : _3.currentIdentifier) === "hide";
    visibleQuestions.glimepirideS = ((_4 = inputs.stroke) === null || _4 === void 0 ? void 0 : _4.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinS = ((_5 = inputs.stroke) === null || _5 === void 0 ? void 0 : _5.currentIdentifier) === "hide";
    visibleQuestions.saxagliptinHF = ((_6 = inputs.HF) === null || _6 === void 0 ? void 0 : _6.currentIdentifier) === "hide";
    visibleQuestions.alogliptinHF = ((_7 = inputs.HF) === null || _7 === void 0 ? void 0 : _7.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinHF = ((_8 = inputs.HF) === null || _8 === void 0 ? void 0 : _8.currentIdentifier) === "hide";
    visibleQuestions.linagliptinHF = ((_9 = inputs.HF) === null || _9 === void 0 ? void 0 : _9.currentIdentifier) === "hide";
    visibleQuestions.glimepirideHF = ((_10 = inputs.HF) === null || _10 === void 0 ? void 0 : _10.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinHF = ((_11 = inputs.HF) === null || _11 === void 0 ? void 0 : _11.currentIdentifier) === "hide";
    visibleQuestions.saxagliptinR = ((_12 = inputs.renal) === null || _12 === void 0 ? void 0 : _12.currentIdentifier) === "hide";
    visibleQuestions.alogliptinR = ((_13 = inputs.renal) === null || _13 === void 0 ? void 0 : _13.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinR = ((_14 = inputs.renal) === null || _14 === void 0 ? void 0 : _14.currentIdentifier) === "hide";
    visibleQuestions.linagliptinR = ((_15 = inputs.renal) === null || _15 === void 0 ? void 0 : _15.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinR = ((_16 = inputs.renal) === null || _16 === void 0 ? void 0 : _16.currentIdentifier) === "hide";
    visibleQuestions.saxagliptinRD =
        ((_17 = inputs.renalDosing) === null || _17 === void 0 ? void 0 : _17.currentIdentifier) === "hide";
    visibleQuestions.alogliptinRD =
        ((_18 = inputs.renalDosing) === null || _18 === void 0 ? void 0 : _18.currentIdentifier) === "hide";
    visibleQuestions.sitagliptinRD =
        ((_19 = inputs.renalDosing) === null || _19 === void 0 ? void 0 : _19.currentIdentifier) === "hide";
    visibleQuestions.linagliptinRD =
        ((_20 = inputs.renalDosing) === null || _20 === void 0 ? void 0 : _20.currentIdentifier) === "hide";
    visibleQuestions.vildagliptinRD =
        ((_21 = inputs.renalDosing) === null || _21 === void 0 ? void 0 : _21.currentIdentifier) === "hide";
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
