"use strict";

var visibleQuestions = {
    metformin: true,
    metforminOverview: true,
    ADAgents1: true,
    start: true,
    DPP4i1: false,
    GLP11: false,
    SGLT2i1: false,
    TZD1: false,
    target1: false,
    additionST: false,
    SGLT2i2: false,
    TZD2: false,
    additionGDT: false,
    DPP4i2: false,
    GLP12: false,
    TZD3: false,
    additionSDG: false,
    DPP4i3: false,
    GLP13: false,
    SGLT2i3: false,
    target2: false,
    addition3: false,
    target3: false,
    ADAgents2: false,
    addition4: false,
    addSU: false,
    carolina: false,
    SUoverview: false,
    addInsulin: false,
    insulins: false,
    end: false
};
var visibleSections = {
    section1: true,
    section2: true,
    section3: false,
    section4: false,
    section5: false
};
var inputs = {
    start: null,
    target1: null,
    target2: null,
    target3: null
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var section3Visible = function () {
    return (visibleQuestions.target1 ||
        visibleQuestions.additionST ||
        visibleQuestions.SGLT2i2 ||
        visibleQuestions.TZD2 ||
        visibleQuestions.additionGDT ||
        visibleQuestions.DPP4i2 ||
        visibleQuestions.GLP12 ||
        visibleQuestions.TZD3 ||
        visibleQuestions.additionSDG ||
        visibleQuestions.DPP4i3 ||
        visibleQuestions.GLP13 ||
        visibleQuestions.SGLT2i3);
};
var section4Visible = function () {
    return visibleQuestions.target2 || visibleQuestions.addition3;
};
var section5Visible = function () {
    return (visibleQuestions.target3 ||
        visibleQuestions.ADAgents2 ||
        visibleQuestions.addition4 ||
        visibleQuestions.addSU ||
        visibleQuestions.carolina ||
        visibleQuestions.SUoverview ||
        visibleQuestions.addInsulin ||
        visibleQuestions.insulins ||
        visibleQuestions.end);
};
var returnVisibleSections = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19;
    visibleQuestions.DPP4i1 = ((_a = inputs.start) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "DPP4";
    visibleQuestions.GLP11 = ((_b = inputs.start) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "GLP1";
    visibleQuestions.SGLT2i1 = ((_c = inputs.start) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "SGLT2";
    visibleQuestions.TZD1 = ((_d = inputs.start) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "TZD";
    visibleQuestions.target1 =
        ((_e = inputs.start) === null || _e === void 0 ? void 0 : _e.currentIdentifier) !== "emptyAnswerIdentifier" &&
            ((_f = inputs.start) === null || _f === void 0 ? void 0 : _f.currentIdentifier) !== null;
    visibleQuestions.additionST =
        ((_g = inputs.target1) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "yes" &&
            (((_h = inputs.start) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "DPP4" ||
                ((_j = inputs.start) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "GLP1");
    visibleQuestions.SGLT2i2 =
        ((_k = inputs.target1) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "yes" &&
            (((_l = inputs.start) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "DPP4" ||
                ((_m = inputs.start) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "GLP1");
    visibleQuestions.TZD2 =
        ((_o = inputs.target1) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "yes" &&
            (((_p = inputs.start) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "DPP4" ||
                ((_q = inputs.start) === null || _q === void 0 ? void 0 : _q.currentIdentifier) === "GLP1");
    visibleQuestions.additionGDT =
        ((_r = inputs.target1) === null || _r === void 0 ? void 0 : _r.currentIdentifier) === "yes" &&
            ((_s = inputs.start) === null || _s === void 0 ? void 0 : _s.currentIdentifier) === "SGLT2";
    visibleQuestions.DPP4i2 =
        ((_t = inputs.target1) === null || _t === void 0 ? void 0 : _t.currentIdentifier) === "yes" &&
            ((_u = inputs.start) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "SGLT2";
    visibleQuestions.GLP12 =
        ((_v = inputs.target1) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "yes" &&
            ((_w = inputs.start) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "SGLT2";
    visibleQuestions.TZD3 =
        ((_x = inputs.target1) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === "yes" &&
            ((_y = inputs.start) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "SGLT2";
    visibleQuestions.additionSDG =
        ((_z = inputs.target1) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "yes" &&
            ((_0 = inputs.start) === null || _0 === void 0 ? void 0 : _0.currentIdentifier) === "TZD";
    visibleQuestions.DPP4i3 =
        ((_1 = inputs.target1) === null || _1 === void 0 ? void 0 : _1.currentIdentifier) === "yes" &&
            ((_2 = inputs.start) === null || _2 === void 0 ? void 0 : _2.currentIdentifier) === "TZD";
    visibleQuestions.GLP13 =
        ((_3 = inputs.target1) === null || _3 === void 0 ? void 0 : _3.currentIdentifier) === "yes" &&
            ((_4 = inputs.start) === null || _4 === void 0 ? void 0 : _4.currentIdentifier) === "TZD";
    visibleQuestions.SGLT2i3 =
        ((_5 = inputs.target1) === null || _5 === void 0 ? void 0 : _5.currentIdentifier) === "yes" &&
            ((_6 = inputs.start) === null || _6 === void 0 ? void 0 : _6.currentIdentifier) === "TZD";
    visibleQuestions.target2 = ((_7 = inputs.target1) === null || _7 === void 0 ? void 0 : _7.currentIdentifier) === "yes";
    visibleQuestions.addition3 = ((_8 = inputs.target2) === null || _8 === void 0 ? void 0 : _8.currentIdentifier) === "yes";
    visibleQuestions.target3 = ((_9 = inputs.target2) === null || _9 === void 0 ? void 0 : _9.currentIdentifier) === "yes";
    visibleQuestions.ADAgents2 = ((_10 = inputs.target3) === null || _10 === void 0 ? void 0 : _10.currentIdentifier) === "yes";
    visibleQuestions.addition4 = ((_11 = inputs.target3) === null || _11 === void 0 ? void 0 : _11.currentIdentifier) === "yes";
    visibleQuestions.addSU = ((_12 = inputs.target3) === null || _12 === void 0 ? void 0 : _12.currentIdentifier) === "yes";
    visibleQuestions.carolina = ((_13 = inputs.target3) === null || _13 === void 0 ? void 0 : _13.currentIdentifier) === "yes";
    visibleQuestions.SUoverview = ((_14 = inputs.target3) === null || _14 === void 0 ? void 0 : _14.currentIdentifier) === "yes";
    visibleQuestions.addInsulin = ((_15 = inputs.target3) === null || _15 === void 0 ? void 0 : _15.currentIdentifier) === "yes";
    visibleQuestions.insulins = ((_16 = inputs.target3) === null || _16 === void 0 ? void 0 : _16.currentIdentifier) === "yes";
    visibleQuestions.end =
        ((_17 = inputs.target1) === null || _17 === void 0 ? void 0 : _17.currentIdentifier) === "no" ||
            ((_18 = inputs.target2) === null || _18 === void 0 ? void 0 : _18.currentIdentifier) === "no" ||
            ((_19 = inputs.target3) === null || _19 === void 0 ? void 0 : _19.currentIdentifier) === "no";
    visibleSections.section3 = section3Visible();
    visibleSections.section4 = section4Visible();
    visibleSections.section5 = section5Visible();
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var calculatePoints = function () {
    return {
        number: 0,
        range: 0,
        metformin: {
            qID: "metformin",
            rParams: [],
            tParams: [],
            titleTexts: "regular",
            resultTexts: "regular"
        },
        additionSDG: {
            qID: "additionSDG",
            rParams: [],
            resultTexts: "regular"
        },
        additionST: {
            qID: "additionST",
            rParams: [],
            resultTexts: "regular"
        },
        additionGDT: {
            qID: "additionGDT",
            rParams: [],
            resultTexts: "regular"
        }
    };
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: calculatePoints(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
