"use strict";

var visibleQuestions = {
    primaryOIcon: true,
    primaryO: true,
    glargine: false,
    degludec: false,
    humanINS: false,
    clinicalTrials1: true,
    deathGallery: true,
    death: true,
    glargineD: false,
    degludecD: false,
    humanINSD: false,
    CVdeathGallery: true,
    CVdeath: true,
    glargineCV: false,
    degludecCV: false,
    humanINSCV: false,
    MIGallery: true,
    MI: true,
    glargineMI: false,
    degludecMI: false,
    humanINSMI: false,
    strokeGallery: true,
    stroke: true,
    glargineS: false,
    degludecS: false,
    humanINSS: false,
    HFGallery: true,
    HF: true,
    glargineHF: false,
    degludecHF: false,
    humanINSHF: false,
    renalGallery: true,
    renal: true,
    glargineR: false,
    degludecR: false,
    humanINSR: false,
    renalDosingGallery: true,
    renalDosing: true,
    glargineRD: false,
    degludecRD: false,
    humanINSRD: false
};
var visibleSections = {
    section1: true,
    section2: true,
    section3: true,
    section4: true,
    section5: true,
    section6: true,
    section7: true,
    section8: true,
    section9: true
};
var inputs = {
    primaryO: null,
    death: null,
    CVdeath: null,
    MI: null,
    stroke: null,
    HF: null,
    renal: null,
    renalDosing: null
};
var returnVisibleQuestions = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z;
    visibleQuestions.glargine = ((_a = inputs.primaryO) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "hide";
    visibleQuestions.degludec = ((_b = inputs.primaryO) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "hide";
    visibleQuestions.humanINS = ((_c = inputs.primaryO) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "hide";
    visibleQuestions.glargineD = ((_d = inputs.death) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "hide";
    visibleQuestions.degludecD = ((_e = inputs.death) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "hide";
    visibleQuestions.humanINSD = ((_f = inputs.death) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "hide";
    visibleQuestions.glargineCV = ((_g = inputs.CVdeath) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "hide";
    visibleQuestions.degludecCV = ((_h = inputs.CVdeath) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "hide";
    visibleQuestions.humanINSCV = ((_j = inputs.CVdeath) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "hide";
    visibleQuestions.glargineMI = ((_k = inputs.MI) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "hide";
    visibleQuestions.degludecMI = ((_l = inputs.MI) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "hide";
    visibleQuestions.humanINSMI = ((_m = inputs.MI) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "hide";
    visibleQuestions.glargineS = ((_o = inputs.stroke) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "hide";
    visibleQuestions.degludecS = ((_p = inputs.stroke) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "hide";
    visibleQuestions.humanINSS = ((_q = inputs.stroke) === null || _q === void 0 ? void 0 : _q.currentIdentifier) === "hide";
    visibleQuestions.glargineHF = ((_r = inputs.HF) === null || _r === void 0 ? void 0 : _r.currentIdentifier) === "hide";
    visibleQuestions.degludecHF = ((_s = inputs.HF) === null || _s === void 0 ? void 0 : _s.currentIdentifier) === "hide";
    visibleQuestions.humanINSHF = ((_t = inputs.HF) === null || _t === void 0 ? void 0 : _t.currentIdentifier) === "hide";
    visibleQuestions.glargineR = ((_u = inputs.renal) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "hide";
    visibleQuestions.degludecR = ((_v = inputs.renal) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "hide";
    visibleQuestions.humanINSR = ((_w = inputs.renal) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "hide";
    visibleQuestions.glargineRD =
        ((_x = inputs.renalDosing) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === "hide";
    visibleQuestions.degludecRD =
        ((_y = inputs.renalDosing) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "hide";
    visibleQuestions.humanINSRD =
        ((_z = inputs.renalDosing) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "hide";
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
