"use strict";

var visibleQuestions = {
    primaryOIcon: true,
    primaryO: true,
    empagliflozin: false,
    canagliflozin: false,
    dapagliflozin: false,
    ertugliflozin: false,
    clinicalTrials1: true,
    deathIcon: true,
    death: true,
    empagliflozinD: false,
    canagliflozinD: false,
    dapagliflozinD: false,
    ertugliflozinD: false,
    CVdeathIcon: true,
    CVdeath: true,
    empagliflozinCV: false,
    canagliflozinCV: false,
    dapagliflozinCV: false,
    ertugliflozinCV: false,
    MIIcon: true,
    MI: true,
    empagliflozinMI: false,
    canagliflozinMI: false,
    dapagliflozinMI: false,
    ertugliflozinMI: false,
    strokeIcon: true,
    stroke: true,
    empagliflozinS: false,
    canagliflozinS: false,
    dapagliflozinS: false,
    ertugliflozinS: false,
    HFIcon: true,
    HF: true,
    empagliflozinHF: false,
    canagliflozinHF: false,
    dapagliflozinHF: false,
    ertugliflozinHF: false,
    renalIcon: true,
    renal: true,
    empagliflozinR: false,
    canagliflozinR: false,
    dapagliflozinR: false,
    ertugliflozinR: false,
    renalDosingIcon: true,
    renalDosing: true,
    empagliflozinRD: false,
    canagliflozinRD: false,
    dapagliflozinRD: false,
    ertugliflozinRD: false
};
var visibleSections = {
    section1: true,
    section2: true,
    section3: true,
    section4: true,
    section5: true,
    section6: true,
    section7: true,
    section8: true,
    section9: true
};
var inputs = {
    primaryO: null,
    death: null,
    CVdeath: null,
    MI: null,
    stroke: null,
    HF: null,
    renal: null,
    renalDosing: null
};
var returnVisibleQuestions = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7;
    visibleQuestions.empagliflozin =
        ((_a = inputs.primaryO) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "hide";
    visibleQuestions.canagliflozin =
        ((_b = inputs.primaryO) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozin =
        ((_c = inputs.primaryO) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozin =
        ((_d = inputs.primaryO) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "hide";
    visibleQuestions.empagliflozinD = ((_e = inputs.death) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "hide";
    visibleQuestions.canagliflozinD = ((_f = inputs.death) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozinD = ((_g = inputs.death) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozinD = ((_h = inputs.death) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "hide";
    visibleQuestions.empagliflozinCV =
        ((_j = inputs.CVdeath) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "hide";
    visibleQuestions.canagliflozinCV =
        ((_k = inputs.CVdeath) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozinCV =
        ((_l = inputs.CVdeath) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozinCV =
        ((_m = inputs.CVdeath) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "hide";
    visibleQuestions.empagliflozinMI = ((_o = inputs.MI) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "hide";
    visibleQuestions.canagliflozinMI = ((_p = inputs.MI) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozinMI = ((_q = inputs.MI) === null || _q === void 0 ? void 0 : _q.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozinMI = ((_r = inputs.MI) === null || _r === void 0 ? void 0 : _r.currentIdentifier) === "hide";
    visibleQuestions.empagliflozinS = ((_s = inputs.stroke) === null || _s === void 0 ? void 0 : _s.currentIdentifier) === "hide";
    visibleQuestions.canagliflozinS = ((_t = inputs.stroke) === null || _t === void 0 ? void 0 : _t.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozinS = ((_u = inputs.stroke) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozinS = ((_v = inputs.stroke) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "hide";
    visibleQuestions.empagliflozinHF = ((_w = inputs.HF) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "hide";
    visibleQuestions.canagliflozinHF = ((_x = inputs.HF) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozinHF = ((_y = inputs.HF) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozinHF = ((_z = inputs.HF) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "hide";
    visibleQuestions.empagliflozinR = ((_0 = inputs.renal) === null || _0 === void 0 ? void 0 : _0.currentIdentifier) === "hide";
    visibleQuestions.canagliflozinR = ((_1 = inputs.renal) === null || _1 === void 0 ? void 0 : _1.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozinR = ((_2 = inputs.renal) === null || _2 === void 0 ? void 0 : _2.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozinR = ((_3 = inputs.renal) === null || _3 === void 0 ? void 0 : _3.currentIdentifier) === "hide";
    visibleQuestions.empagliflozinRD =
        ((_4 = inputs.renalDosing) === null || _4 === void 0 ? void 0 : _4.currentIdentifier) === "hide";
    visibleQuestions.canagliflozinRD =
        ((_5 = inputs.renalDosing) === null || _5 === void 0 ? void 0 : _5.currentIdentifier) === "hide";
    visibleQuestions.dapagliflozinRD =
        ((_6 = inputs.renalDosing) === null || _6 === void 0 ? void 0 : _6.currentIdentifier) === "hide";
    visibleQuestions.ertugliflozinRD =
        ((_7 = inputs.renalDosing) === null || _7 === void 0 ? void 0 : _7.currentIdentifier) === "hide";
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
