"use strict";

var visibleQuestions = {
    metformin: true,
    metforminOverview: true,
    ADAgents1: true,
    start: true,
    GLP11: false,
    SGLT2i1: false,
    target1: false,
    additionG: false,
    SGLT2i2: false,
    additionS: false,
    GLP12: false,
    target2: false,
    additionGS1: false,
    additionGS2: false,
    DPP4i1: false,
    ADAgents2: false,
    cautiousAddition: false,
    addSU: false,
    carolina: false,
    SUoverview: false,
    addTZD: false,
    TZD1: false,
    addInsulin: false,
    insulins: false,
    end: false
};
var visibleSections = {
    section1: true,
    section2: true,
    section3: false,
    section4: false,
    section5: false
};
var inputs = {
    start: null,
    target1: null,
    target2: null
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var section3Visible = function () {
    return (visibleQuestions.target1 ||
        visibleQuestions.additionG ||
        visibleQuestions.SGLT2i2 ||
        visibleQuestions.additionS ||
        visibleQuestions.GLP12);
};
var section4Visible = function () {
    return (visibleQuestions.target2 ||
        visibleQuestions.additionGS1 ||
        visibleQuestions.additionGS2 ||
        visibleQuestions.DPP4i1);
};
var section5Visible = function () {
    return (visibleQuestions.ADAgents2 ||
        visibleQuestions.ADAgents2 ||
        visibleQuestions.cautiousAddition ||
        visibleQuestions.addSU ||
        visibleQuestions.carolina ||
        visibleQuestions.SUoverview ||
        visibleQuestions.addTZD ||
        visibleQuestions.TZD1 ||
        visibleQuestions.addInsulin ||
        visibleQuestions.insulins ||
        visibleQuestions.end);
};
var returnVisibleSections = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2;
    visibleQuestions.GLP11 = ((_a = inputs.start) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "GLP1";
    visibleQuestions.SGLT2i1 = ((_b = inputs.start) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "SGLT2";
    visibleQuestions.target1 =
        ((_c = inputs.start) === null || _c === void 0 ? void 0 : _c.currentIdentifier) !== "emptyAnswerIdentifier" &&
            ((_d = inputs.start) === null || _d === void 0 ? void 0 : _d.currentIdentifier) !== null;
    visibleQuestions.additionG =
        ((_e = inputs.target1) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "yes" &&
            ((_f = inputs.start) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "GLP1";
    visibleQuestions.SGLT2i2 =
        ((_g = inputs.target1) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "yes" &&
            ((_h = inputs.start) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "GLP1";
    visibleQuestions.additionS =
        ((_j = inputs.target1) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "yes" &&
            ((_k = inputs.start) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "SGLT2";
    visibleQuestions.GLP12 =
        ((_l = inputs.target1) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "yes" &&
            ((_m = inputs.start) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "SGLT2";
    visibleQuestions.target2 = ((_o = inputs.target1) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "yes";
    visibleQuestions.additionGS1 = ((_p = inputs.target2) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "yes";
    visibleQuestions.additionGS2 = ((_q = inputs.target2) === null || _q === void 0 ? void 0 : _q.currentIdentifier) === "yes";
    visibleQuestions.ADAgents2 = ((_r = inputs.target2) === null || _r === void 0 ? void 0 : _r.currentIdentifier) === "yes";
    visibleQuestions.DPP4i1 = ((_s = inputs.target2) === null || _s === void 0 ? void 0 : _s.currentIdentifier) === "yes";
    visibleQuestions.cautiousAddition =
        ((_t = inputs.target2) === null || _t === void 0 ? void 0 : _t.currentIdentifier) === "yes";
    visibleQuestions.addSU = ((_u = inputs.target2) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "yes";
    visibleQuestions.carolina = ((_v = inputs.target2) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "yes";
    visibleQuestions.SUoverview = ((_w = inputs.target2) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "yes";
    visibleQuestions.addTZD = ((_x = inputs.target2) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === "yes";
    visibleQuestions.TZD1 = ((_y = inputs.target2) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "yes";
    visibleQuestions.addInsulin = ((_z = inputs.target2) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "yes";
    visibleQuestions.insulins = ((_0 = inputs.target2) === null || _0 === void 0 ? void 0 : _0.currentIdentifier) === "yes";
    visibleQuestions.end =
        ((_1 = inputs.target1) === null || _1 === void 0 ? void 0 : _1.currentIdentifier) === "no" ||
            ((_2 = inputs.target2) === null || _2 === void 0 ? void 0 : _2.currentIdentifier) === "no";
    visibleSections.section3 = section3Visible();
    visibleSections.section4 = section4Visible();
    visibleSections.section5 = section5Visible();
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var calculatePoints = function () {
    return {
        number: 0,
        range: 0,
        metformin: {
            qID: "metformin",
            rParams: [],
            tParams: [],
            titleTexts: "regular",
            resultTexts: "regular"
        },
        additionSDG: {
            qID: "additionSDG",
            rParams: [],
            resultTexts: "regular"
        },
        additionST: {
            qID: "additionST",
            rParams: [],
            resultTexts: "regular"
        },
        additionGDT: {
            qID: "additionGDT",
            rParams: [],
            resultTexts: "regular"
        }
    };
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: calculatePoints(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
