"use strict";

var visibleQuestions = {
    leftPImage: true,
    leftPalm: true,
    rightPImage: true,
    rightPalm: true,
    leftSImage: true,
    leftSole: true,
    rightSImage: true,
    rightSole: true
};
var visibleSections = {
    leftP: true,
    rightP: true,
    leftS: true,
    rightS: true
};
var inputs = {
    leftPalm: null,
    rightPalm: null,
    leftSole: null,
    rightSole: null
};
var calculatePoints = function () {
    var _a, _b, _c, _d;
    var outputResult = Number(((_a = inputs.leftPalm) == null || _a == void 0 ? void 0 : _a.currentPoints) || 0) +
        Number(((_b = inputs.rightPalm) == null || _b == void 0 ? void 0 : _b.currentPoints) || 0) +
        Number(((_c = inputs.leftSole) == null || _c == void 0 ? void 0 : _c.currentPoints) || 0) +
        Number(((_d = inputs.rightSole) == null || _d == void 0 ? void 0 : _d.currentPoints) || 0);
    return outputResult;
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
