"use strict";


var visibleQuestions = {
    age: true,
    no: true,
    kidsDose1: true,
    adultDoseTbl1: true,
    divider: true,
    adultDoseTbl2: true,
    adultDoseTbl3: true,
    adultDoseInf1: true,
    divider1: true,
    adultDoseInf2: true,
    inf: true,
    adultDoseInf3: true,
    kidney: true,
    anti: true
};
var visibleSections = {
    ageSelection: true,
    noAnswer: false,
    kidsDose: false,
    adultDoseTbl: false,
    adultDoseInf: false,
    warningKidney: false,
    warningAb: false
};
var inputs = {
    age: null
};
var areAllVisibleQuesionsAnswered = function () {
    return helpers_1.isAnswered(inputs.age);
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.noAnswer = !areAllVisibleQuesionsAnswered();
    visibleSections.kidsDose = helpers_1.answerMatches(inputs.age, 'kids');
    visibleSections.adultDoseTbl = helpers_1.answerMatches(inputs.age, 'adult');
    visibleSections.adultDoseInf = helpers_1.answerMatches(inputs.age, 'adult');
    visibleSections.warningKidney = helpers_1.answerMatches(inputs.age, 'adult');
    visibleSections.warningAb = helpers_1.answerMatches(inputs.age, 'adult');
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return areAllVisibleQuesionsAnswered();
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
