"use strict";


var visibleQuestions = {
    condition1: true,
    condition2: true,
    condition3: true,
    resultSection: false,
    resultSection2: false,
    "HumiraHSCZ+TE": false,
    resultSection3: false
};
var visibleSections = {
    section1: true,
    section2: true
};
var inputs = {
    condition1: null,
    condition2: null,
    condition3: null
};
var resultSectionVisibility = function () {
    return (!helpers_1.isAnswered(inputs.condition1) ||
        !helpers_1.isAnswered(inputs.condition2) ||
        !helpers_1.isAnswered(inputs.condition3));
};
var resultSection2Visibility = function () {
    var _a, _b, _c;
    return (((_a = inputs.condition1) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "yes" ||
        ((_b = inputs.condition2) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "yes" ||
        ((_c = inputs.condition3) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "yes");
};
var calculatePoints = function () {
    return {
        number: null,
        range: null,
        resultSection: {
            qID: "resultSection",
            resultTexts: "regular"
        },
        resultSection2: {
            qID: "resultSection2",
            resultTexts: "regular"
        },
        resultSection3: {
            qID: "resultSection3",
            resultTexts: "regular"
        }
    };
};
var returnVisibleQuestions = function () {
    var _a, _b, _c, _d, _e, _f;
    visibleQuestions.resultSection =
        resultSectionVisibility() && !resultSection2Visibility();
    visibleQuestions.resultSection2 = resultSection2Visibility();
    visibleQuestions["HumiraHSCZ+TE"] =
        ((_a = inputs.condition1) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "yes" ||
            ((_b = inputs.condition2) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "yes" ||
            ((_c = inputs.condition3) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "yes";
    visibleQuestions.resultSection3 =
        ((_d = inputs.condition1) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "no" &&
            ((_e = inputs.condition2) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "no" &&
            ((_f = inputs.condition3) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "no";
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
