"use strict";

var visibleQuestions = {
    atezolizumab: true,
    indication: false,
    name: false,
    smpcLink: false,
    pembrolizumab: true,
    indication2: false,
    name2: false,
    smpcLink2: false
};
var visibleSections = {
    section1: true,
    section2: true
};
var inputs = {
    atezolizumab: null,
    pembrolizumab: null
};
var isAtezolizumabOpened = function () {
    return inputs.atezolizumab.currentIdentifier === 'close';
};
var isPembrolizumabOpened = function () {
    return inputs.pembrolizumab.currentIdentifier === 'close';
};
var returnVisibleQuestions = function () {
    visibleQuestions.indication = isAtezolizumabOpened();
    visibleQuestions.name = isAtezolizumabOpened();
    visibleQuestions.smpcLink = isAtezolizumabOpened();
    visibleQuestions.indication2 = isPembrolizumabOpened();
    visibleQuestions.name2 = isPembrolizumabOpened();
    visibleQuestions.smpcLink2 = isPembrolizumabOpened();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return true;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
