"use strict";

var visibleQuestions = {
    ipilimumab: true,
    indication1: false,
    name1: false,
    smpcLink1: false,
    nivolumab1: true,
    indication2: false,
    name2: false,
    smpcLink2: false
};
var visibleSections = {
    section1: true,
    section2: true
};
var inputs = {
    ipilimumab: null,
    nivolumab1: null
};
var isIpilimumabOpened = function () {
    return inputs.ipilimumab.currentIdentifier === 'close';
};
var isNivolumab1Opened = function () {
    return inputs.nivolumab1.currentIdentifier === 'close';
};
var returnVisibleQuestions = function () {
    visibleQuestions.indication1 = isIpilimumabOpened();
    visibleQuestions.name1 = isIpilimumabOpened();
    visibleQuestions.smpcLink1 = isIpilimumabOpened();
    visibleQuestions.indication2 = isNivolumab1Opened();
    visibleQuestions.name2 = isNivolumab1Opened();
    visibleQuestions.smpcLink2 = isNivolumab1Opened();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return true;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
