"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};


var visibleQuestions = {
    info: true,
    leftElbow: true,
    rightElbow: true,
    leftCondyle: true,
    rightCondyle: true,
    leftTendon: true,
    rightTendon: true
};
var visibleSections = {
    inputSection: true
};
var inputs = {
    leftElbow: null,
    rightElbow: null,
    leftCondyle: null,
    rightCondyle: null,
    leftTendon: null,
    rightTendon: null
};
var calculateSumOfPoints = function () {
    var _a, _b, _c, _d, _e, _f;
    return (Number((_a = inputs.leftElbow) === null || _a === void 0 ? void 0 : _a.currentPoints) +
        Number((_b = inputs.rightElbow) === null || _b === void 0 ? void 0 : _b.currentPoints) +
        Number((_c = inputs.leftCondyle) === null || _c === void 0 ? void 0 : _c.currentPoints) +
        Number((_d = inputs.rightCondyle) === null || _d === void 0 ? void 0 : _d.currentPoints) +
        Number((_e = inputs.leftTendon) === null || _e === void 0 ? void 0 : _e.currentPoints) +
        Number((_f = inputs.rightTendon) === null || _f === void 0 ? void 0 : _f.currentPoints));
};
var calculatePoints = function () {
    var result = calculateSumOfPoints();
    return helpers_1.returnToolScoreObject({
        number: result,
        range: result
    });
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return true;
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return __assign(__assign({ exportResultsEnabled: isExportResultsEnabled() }, result), { visibleQuestions: ut_visibleQuestions(), visibleSections: ut_visibleSections() });
});
