"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};


var visibleQuestions = {
    instructions: true,
    sadnessApparent: true,
    sadnessReported: true,
    tension: true,
    sleep: true,
    appetite: true,
    concentration: true,
    lassitude: true,
    inability: true,
    pessimistic: true,
    suicidal: true
};
var visibleSections = {
    inputs: true
};
var inputs = {
    sadnessApparent: null,
    sadnessReported: null,
    tension: null,
    sleep: null,
    appetite: null,
    concentration: null,
    lassitude: null,
    inability: null,
    pessimistic: null,
    suicidal: null
};
var calculatePoints = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
    var result = Number(((_a = inputs.sadnessApparent) === null || _a === void 0 ? void 0 : _a.currentPoints) || 0) +
        Number(((_b = inputs.sadnessReported) === null || _b === void 0 ? void 0 : _b.currentPoints) || 0) +
        Number(((_c = inputs.tension) === null || _c === void 0 ? void 0 : _c.currentPoints) || 0) +
        Number(((_d = inputs.sleep) === null || _d === void 0 ? void 0 : _d.currentPoints) || 0) +
        Number(((_e = inputs.appetite) === null || _e === void 0 ? void 0 : _e.currentPoints) || 0) +
        Number(((_f = inputs.concentration) === null || _f === void 0 ? void 0 : _f.currentPoints) || 0) +
        Number(((_g = inputs.lassitude) === null || _g === void 0 ? void 0 : _g.currentPoints) || 0) +
        Number(((_h = inputs.inability) === null || _h === void 0 ? void 0 : _h.currentPoints) || 0) +
        Number(((_j = inputs.pessimistic) === null || _j === void 0 ? void 0 : _j.currentPoints) || 0) +
        Number(((_k = inputs.suicidal) === null || _k === void 0 ? void 0 : _k.currentPoints) || 0);
    return helpers_1.returnToolScoreObject({ number: result, range: result });
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return __assign(__assign({ exportResultsEnabled: true }, result), { visibleQuestions: ut_visibleQuestions(), visibleSections: ut_visibleSections() });
});
