"use strict";

var visibleQuestions = {
    explanation: true,
    timelineBeforeStart: true,
    timelineMonth1: true,
    timelineMonth3: true,
    timelineMonth6: true,
    timelineMonth9: true,
    timelineMonth12: true,
    timelineMonthContinuation: true
};
var visibleSections = {
    explanationSection: true,
    timelineSection: true
};
var inputs = {};
var calculatePoints = function () {
    return {
        timelineBeforeStart: {
            qID: 'timelineBeforeStart',
            tParams: [],
            titleTexts: 'result1'
        },
        timelineMonth1: {
            qID: 'timelineMonth1',
            tParams: [],
            titleTexts: 'result1'
        },
        timelineMonth3: {
            qID: 'timelineMonth3',
            tParams: [],
            titleTexts: 'result1'
        },
        timelineMonth6: {
            qID: 'timelineMonth6',
            tParams: [],
            titleTexts: 'result1'
        },
        timelineMonth9: {
            qID: 'timelineMonth9',
            tParams: [],
            titleTexts: 'result1'
        },
        timelineMonth12: {
            qID: 'timelineMonth12',
            tParams: [],
            titleTexts: 'result1'
        },
        timelineMonthContinuation: {
            qID: 'timelineMonthContinuation',
            tParams: [],
            titleTexts: 'result1'
        }
    };
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return true;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
