"use strict";


var visibleQuestions = {
    age: true,
    answerAll: false,
    warningK1: false,
    tabletsA1: false,
    tabletsA3: false,
    tabletsA4: false,
    suspensionA1: false,
    suspensionA3: false,
    suspensionA4: false,
    warningText: false,
    kidneyMildWarning: false,
    kidneyEndWarning: false,
    liverWarning: false
};
var visibleSections = {
    weightSelection: true,
    dosing: false,
    warningK: false,
    tabletsA: false,
    suspensionA: false,
    warning: false,
    kidney: false
};
var inputs = {
    age: null
};
var isDosingVisible = function () {
    return !helpers_1.isAnswered(inputs.age);
};
var isWarningKVisible = function () {
    return helpers_1.answerMatches(inputs.age, 'kids');
};
var isTabletsAVisible = function () {
    return helpers_1.answerMatches(inputs.age, 'adults');
};
var isWarningVisible = function () {
    return helpers_1.answerMatches(inputs.age, 'adults');
};
var isKidneyVisible = function () {
    return helpers_1.answerMatches(inputs.age, 'adults');
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    visibleQuestions.answerAll = isDosingVisible();
    visibleQuestions.warningK1 = isWarningKVisible();
    visibleQuestions.tabletsA1 = isTabletsAVisible();
    visibleQuestions.tabletsA3 = isTabletsAVisible();
    visibleQuestions.tabletsA4 = isTabletsAVisible();
    visibleQuestions.suspensionA1 = isTabletsAVisible();
    visibleQuestions.suspensionA3 = isTabletsAVisible();
    visibleQuestions.suspensionA4 = isTabletsAVisible();
    visibleQuestions.warningText = isWarningVisible();
    visibleQuestions.kidneyMildWarning = isKidneyVisible();
    visibleQuestions.kidneyEndWarning = isKidneyVisible();
    visibleQuestions.liverWarning = isKidneyVisible();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.dosing = isDosingVisible();
    visibleSections.warningK = isWarningKVisible();
    visibleSections.tabletsA = isTabletsAVisible();
    visibleSections.suspensionA = isTabletsAVisible();
    visibleSections.warning = isWarningVisible();
    visibleSections.kidney = isKidneyVisible();
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return !isDosingVisible();
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
