"use strict";

var visibleQuestions = {
    ortho: true,
    spaf: true,
    dvtpe: true,
    vte: false,
    vtePradaxa: false
};
var visibleSections = {
    indications: true,
    indicationsPradaxa: false
};
var inputs = {};
var calculatePoints = function () {
    return null;
};
var isVteVisible = function () {
    var _a, _b;
    return (((_a = inputs._countryCode) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'cz' ||
        ((_b = inputs._countryCode) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === 'it');
};
var isIndicationsPradaxaVisible = function () {
    var _a, _b;
    return (((_a = inputs._countryCode) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'de' ||
        ((_b = inputs._countryCode) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === 'es');
};
var returnVisibleQuestions = function () {
    visibleQuestions.vte = isVteVisible();
    visibleQuestions.vtePradaxa = isIndicationsPradaxaVisible();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.indicationsPradaxa = isIndicationsPradaxaVisible();
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
