"use strict";


var visibleQuestions = {
    indications: true,
    infoText: false,
    date: true,
    firstMonth: true,
    secondMonth: true,
    thirdMonth: true,
    warningFirst: true,
    warningSecond: true,
    kidneyText: true,
    kidneyTextSecond: true
};
var visibleSections = {
    infoSection: true,
    inputSection: true,
    dosingSection: true,
    kidneySection: true
};
var inputs = {
    indications: null,
    date: null
};
var calculatePoints = function () {
    var _a;
    if ((0, helpers_1.isAnswered)(inputs.date)) {
        var date = (_a = inputs.date) === null || _a === void 0 ? void 0 : _a.currentDate;
        return {
            firstMonth: {
                qID: 'firstMonth',
                rParams: [{ type: 'date', value: (0, helpers_1.addDaysToDate)(date, 28) }],
                resultTexts: 'result1'
            },
            secondMonth: {
                qID: 'secondMonth',
                rParams: [
                    { type: 'date', value: (0, helpers_1.addDaysToDate)(date, 29) },
                    { type: 'date', value: (0, helpers_1.addDaysToDate)(date, 56) },
                ],
                resultTexts: 'result1'
            },
            thirdMonth: {
                qID: 'thirdMonth',
                rParams: [{ type: 'date', value: (0, helpers_1.addDaysToDate)(date, 57) }],
                resultTexts: 'result1'
            }
        };
    }
    return null;
};
var returnVisibleQuestions = function () {
    visibleQuestions.infoText = (0, helpers_1.answerMatches)(inputs.indications, 'close');
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return true;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
