"use strict";


var visibleQuestions = {
    age: true,
    textNoAnswer: true,
    dosingStop: false,
    dosingChildrenSmallTablets: false,
    sulfChildren400: false,
    durationChildrenSmall: false,
    dosingChildrenSmallTabletsSecond: false,
    sulfChildren800: false,
    durationChildrenSmallSecond: false,
    kidneytext: false,
    dosingTabletsSmall: false,
    sulfAdults400: false,
    durationTabletsSmall: false,
    dosingTablets: false,
    sulfAdults800: false,
    durationTabletsAdults: false,
    kidneyYellow: false,
    kidneyyellow: false,
    kidneyRed: false,
    text: false
};
var visibleSections = {
    selection: true,
    noAnswer: true,
    dosingSix: false,
    dosingChildrenSmall: false,
    dosingChildrenSmallSecond: false,
    kidneyChildren: false,
    dosingAdultsTabletsSmall: false,
    dosingAdultsTablets: false,
    kidneyAdults: false,
    noteAntibiotics: false
};
var inputs = {
    age: null
};
var calculatePoints = function () {
    return null;
};
var isAgeMatching = function (name) {
    return helpers_1.answerMatches(inputs.age, name);
};
var returnVisibleQuestions = function () {
    visibleQuestions.textNoAnswer = !helpers_1.isAnswered(inputs.age);
    visibleQuestions.dosingStop = isAgeMatching('kids');
    visibleQuestions.dosingChildrenSmallTablets = isAgeMatching('children');
    visibleQuestions.sulfChildren400 = isAgeMatching('children');
    visibleQuestions.durationChildrenSmall = isAgeMatching('children');
    visibleQuestions.dosingChildrenSmallTabletsSecond = isAgeMatching('children');
    visibleQuestions.sulfChildren800 = isAgeMatching('children');
    visibleQuestions.durationChildrenSmallSecond = isAgeMatching('children');
    visibleQuestions.kidneytext = isAgeMatching('children');
    visibleQuestions.dosingTabletsSmall = isAgeMatching('adults');
    visibleQuestions.sulfAdults400 = isAgeMatching('adults');
    visibleQuestions.durationTabletsSmall = isAgeMatching('adults');
    visibleQuestions.dosingTablets = isAgeMatching('adults');
    visibleQuestions.sulfAdults800 = isAgeMatching('adults');
    visibleQuestions.durationTabletsAdults = isAgeMatching('adults');
    visibleQuestions.kidneyYellow = isAgeMatching('adults');
    visibleQuestions.kidneyyellow = isAgeMatching('adults');
    visibleQuestions.kidneyRed = isAgeMatching('adults');
    visibleQuestions.text = isAgeMatching('adults') || isAgeMatching('children');
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.noAnswer = !helpers_1.isAnswered(inputs.age);
    visibleSections.dosingSix = isAgeMatching('kids');
    visibleSections.dosingChildrenSmall = isAgeMatching('children');
    visibleSections.dosingChildrenSmallSecond = isAgeMatching('children');
    visibleSections.kidneyChildren = isAgeMatching('children');
    visibleSections.dosingAdultsTabletsSmall = isAgeMatching('adults');
    visibleSections.dosingAdultsTablets = isAgeMatching('adults');
    visibleSections.kidneyAdults = isAgeMatching('adults');
    visibleSections.noteAntibiotics =
        isAgeMatching('adults') || isAgeMatching('children');
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return helpers_1.isAnswered(inputs.age);
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
