"use strict";


var visibleQuestions = {
    age: true,
    noAnswerText: true,
    childrenDosing: true,
    orangeWarning: true,
    dosingAdults: true,
    sulfAdults: true,
    durationAdults: true,
    kidneyInfo: true,
    kidneyGrey: false,
    kdineyYellow: false,
    kidneyRed: false,
    antibioticsText: true
};
var visibleSections = {
    ageSelection: true,
    noAnswer: false,
    dosingChildren: false,
    dosingAdultsSection: false,
    kidneySection: false,
    antibioticsSection: false
};
var inputs = {
    age: null,
    kidneyInfo: null
};
var areAllAnswered = function () {
    return helpers_1.isAnswered(inputs.age);
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    visibleQuestions.kidneyGrey = helpers_1.answerMatches(inputs.kidneyInfo, 'close');
    visibleQuestions.kdineyYellow = helpers_1.answerMatches(inputs.kidneyInfo, 'close');
    visibleQuestions.kidneyRed = helpers_1.answerMatches(inputs.kidneyInfo, 'close');
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.noAnswer = !areAllAnswered();
    visibleSections.dosingChildren = helpers_1.answerMatches(inputs.age, 'teens');
    visibleSections.dosingAdultsSection = helpers_1.answerMatches(inputs.age, 'adults');
    visibleSections.kidneySection = helpers_1.answerMatches(inputs.age, 'adults');
    visibleSections.antibioticsSection = helpers_1.answerMatches(inputs.age, 'adults');
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return areAllAnswered();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
