"use strict";


var visibleQuestions = {
    whenToConsider: true,
    whenToConsiderText: false,
    choiceOfAntibioticText: true,
    lessSerious: true,
    firstLine: false,
    flukloxacilin: false,
    alternative: false,
    klindamycin: false,
    or: false,
    cotrimoxazol: false,
    guidelines: true
};
var visibleSections = {
    antibiotics: true,
    choiceOfAntibiotic: true,
    link: true
};
var inputs = {
    whenToConsider: null,
    lessSerious: null
};
var isWhenToConsiderClose = function () {
    return helpers_1.answerMatches(inputs.whenToConsider, 'close');
};
var islessSeriousClose = function () {
    return helpers_1.answerMatches(inputs.lessSerious, 'close');
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    visibleQuestions.whenToConsiderText = isWhenToConsiderClose();
    visibleQuestions.firstLine = islessSeriousClose();
    visibleQuestions.flukloxacilin = islessSeriousClose();
    visibleQuestions.alternative = islessSeriousClose();
    visibleQuestions.klindamycin = islessSeriousClose();
    visibleQuestions.or = islessSeriousClose();
    visibleQuestions.cotrimoxazol = islessSeriousClose();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return (helpers_1.answerMatches(inputs.whenToConsider, 'close') ||
        helpers_1.answerMatches(inputs.lessSerious, 'close'));
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
