"use strict";


var visibleQuestions = {
    type: true,
    gp: false,
    pulmo: false
};
var visibleSections = {
    typeSection: true,
    gpSection: false,
    pulmoSection: false
};
var inputs = {
    type: null
};
var returnVisibleQuestions = function () {
    visibleQuestions.gp = helpers_1.answerMatches(inputs.type, 'gp');
    visibleQuestions.pulmo = helpers_1.answerMatches(inputs.type, 'pulmo');
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.gpSection = helpers_1.answerMatches(inputs.type, 'gp');
    visibleSections.pulmoSection = helpers_1.answerMatches(inputs.type, 'pulmo');
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return helpers_1.isAnswered(inputs.type);
};
var calculatePoints = function () {
    return null;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
