"use strict";


var visibleQuestions = {
    visibleLesion: true,
    irregularities: true,
    USvisible: true,
    puncture: true,
    controls: true,
    mammo: true,
    mammo2: true,
    USorMR: true,
    procedure: true,
    citoHisto: true,
    mammo3: true,
    mammo4: true,
    MR: true,
    procedure2: true,
    end: true
};
var visibleSections = {
    section1: true
};
var inputs = {
    irregularities: null,
    USvisible: null,
    puncture: null,
    citoHisto: null,
    mammo2: null
};
var calculatePoints = function () {
    return null;
};
var isUSvisibleVisible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.irregularities) &&
        ((_a = inputs.irregularities) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'remains');
};
var isPunctureVisible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.USvisible) && ((_a = inputs.USvisible) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'no');
};
var isControlsVisible = function () {
    var _a, _b;
    return ((helpers_1.isAnswered(inputs.irregularities) &&
        ((_a = inputs.irregularities) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'spreads') ||
        (helpers_1.isAnswered(inputs.puncture) &&
            ((_b = inputs.puncture) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === 'negative'));
};
var isMammoVisible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.puncture) &&
        ((_a = inputs.puncture) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'positive');
};
var isUSorMRVisible = function () {
    var _a;
    return helpers_1.isAnswered(inputs.mammo2) && ((_a = inputs.mammo2) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'no';
};
var isProcedureVisible = function () {
    return helpers_1.isAnswered(inputs.mammo2);
};
var isCitoHistoVisible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.USvisible) &&
        ((_a = inputs.USvisible) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'yes');
};
var isMammo3Visible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.citoHisto) &&
        ((_a = inputs.citoHisto) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'positive');
};
var isMRVisible = function () {
    var _a;
    return helpers_1.isAnswered(inputs.mammo4) && ((_a = inputs.mammo4) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'no';
};
var isProcedure2Visible = function () {
    return helpers_1.isAnswered(inputs.mammo4);
};
var isEndVisible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.citoHisto) &&
        ((_a = inputs.citoHisto) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'negative');
};
var returnVisibleQuestions = function () {
    visibleQuestions.USvisible = isUSvisibleVisible();
    visibleQuestions.puncture = isPunctureVisible();
    visibleQuestions.controls = isControlsVisible();
    visibleQuestions.mammo = isMammoVisible();
    visibleQuestions.mammo2 = isMammoVisible();
    visibleQuestions.USorMR = isUSorMRVisible();
    visibleQuestions.procedure = isProcedureVisible();
    visibleQuestions.citoHisto = isCitoHistoVisible();
    visibleQuestions.mammo3 = isMammo3Visible();
    visibleQuestions.mammo4 = isMammo3Visible();
    visibleQuestions.MR = isMRVisible();
    visibleQuestions.procedure2 = isProcedure2Visible();
    visibleQuestions.end = isEndVisible();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
