"use strict";


var visibleQuestions = {
    puncture: true,
    age: true,
    mammography: true,
    mammography2: true,
    ultrasound: true,
    ultrasound2: true,
    magneticR: true,
    end: true
};
var visibleSections = {
    section1: true
};
var inputs = {
    puncture: null,
    age: null,
    mammography2: null,
    ultrasound2: null
};
var calculatePoints = function () {
    return null;
};
var isAgeVisible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.puncture) &&
        ((_a = inputs.puncture) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'negative');
};
var isMammographyVisible = function () {
    var _a, _b, _c;
    return ((helpers_1.isAnswered(inputs.puncture) &&
        ((_a = inputs.puncture) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'positive') ||
        (helpers_1.isAnswered(inputs.puncture) &&
            ((_b = inputs.puncture) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === 'negative' &&
            helpers_1.isAnswered(inputs.age) &&
            ((_c = inputs.age) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === 'more'));
};
var isUltrasoundVisible = function () {
    var _a, _b, _c;
    return ((helpers_1.isAnswered(inputs.puncture) &&
        ((_a = inputs.puncture) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'negative' &&
        helpers_1.isAnswered(inputs.age) &&
        ((_b = inputs.age) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === 'less') ||
        (helpers_1.isAnswered(inputs.mammography2) &&
            ((_c = inputs.mammography2) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === 'yes'));
};
var isUltrasound2Visible = function () {
    var _a;
    return (isUltrasoundVisible() &&
        helpers_1.isAnswered(inputs.puncture) &&
        ((_a = inputs.puncture) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'positive');
};
var isMagneticRVisible = function () {
    var _a;
    return (helpers_1.isAnswered(inputs.ultrasound2) &&
        ((_a = inputs.ultrasound2) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'yes');
};
var isEndVisible = function () {
    var _a, _b;
    return ((helpers_1.isAnswered(inputs.mammography2) &&
        ((_a = inputs.mammography2) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === 'no') ||
        (helpers_1.isAnswered(inputs.ultrasound2) &&
            ((_b = inputs.ultrasound2) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === 'no'));
};
var returnVisibleQuestions = function () {
    visibleQuestions.age = isAgeVisible();
    visibleQuestions.mammography = isMammographyVisible();
    visibleQuestions.mammography2 = isMammographyVisible();
    visibleQuestions.ultrasound = isUltrasoundVisible();
    visibleQuestions.ultrasound2 = isUltrasound2Visible();
    visibleQuestions.magneticR = isMagneticRVisible();
    visibleQuestions.end = isEndVisible();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return true;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
