"use strict";


var visibleQuestions = {
    creatinine: true,
    resultNormal: true,
    durationNormal: true,
    resultLow: true,
    durationLow: true,
    resultVeryLow: true,
    durationVeryLow: true,
    kidneyText: true,
    result131: true
};
var visibleSections = {
    kidneySelection: true,
    dosingNormal: false,
    dosingLow: false,
    dosingVeryLow: false,
    kidneySection: false,
    result13: false
};
var inputs = {
    creatinine: null
};
var calculatePoints = function () {
    return null;
};
var isDosingNormalVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'normal');
};
var isDosingLowVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'low');
};
var isDosingVeryLowVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'veryLow');
};
var isKidneySectionVisible = function () {
    return helpers_1.answerMatches(inputs.creatinine, 'veryLow');
};
var isAllAnswered = function () {
    return helpers_1.isAnswered(inputs.creatinine);
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.dosingNormal = isDosingNormalVisible();
    visibleSections.dosingLow = isDosingLowVisible();
    visibleSections.dosingVeryLow = isDosingVeryLowVisible();
    visibleSections.kidneySection = isKidneySectionVisible();
    visibleSections.result13 = isAllAnswered();
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return isAllAnswered();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
