"use strict";

var visibleQuestions = {
    metformin: true,
    metforminOverview: true,
    preferably: true,
    GLP1: true,
    SGLT1: true,
    target: true,
    ADAgents1: false,
    intensification: false,
    addSGLT: false,
    SGLT2: false,
    addDPP4: false,
    DPP4: false,
    addInsulin: false,
    insulins: false,
    addTZD: false,
    TZD: false,
    addSU: false,
    carolina: false,
    SUoverview: false,
    end: false
};
var visibleSections = {
    section1: true,
    section2: true,
    section4: true
};
var inputs = {
    target: null
};
var returnVisibleQuestions = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p;
    visibleQuestions.ADAgents1 = ((_a = inputs.target) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "yes";
    visibleQuestions.intensification = ((_b = inputs.target) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "yes";
    visibleQuestions.addSGLT = ((_c = inputs.target) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "yes";
    visibleQuestions.SGLT2 = ((_d = inputs.target) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "yes";
    visibleQuestions.addDPP4 = ((_e = inputs.target) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "yes";
    visibleQuestions.DPP4 = ((_f = inputs.target) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "yes";
    visibleQuestions.addInsulin = ((_g = inputs.target) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "yes";
    visibleQuestions.insulins = ((_h = inputs.target) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "yes";
    visibleQuestions.addTZD = ((_j = inputs.target) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "yes";
    visibleQuestions.TZD = ((_k = inputs.target) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "yes";
    visibleQuestions.addSU = ((_l = inputs.target) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "yes";
    visibleQuestions.carolina = ((_m = inputs.target) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "yes";
    visibleQuestions.SUoverview = ((_o = inputs.target) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "yes";
    visibleQuestions.end = ((_p = inputs.target) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "no";
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var calculatePoints = function () {
    return {
        number: 0,
        range: 0,
        metformin: {
            qID: "metformin",
            rParams: [],
            tParams: [],
            titleTexts: "regular",
            resultTexts: "regular"
        },
        additionSDG: {
            qID: "additionSDG",
            rParams: [],
            resultTexts: "regular"
        },
        additionST: {
            qID: "additionST",
            rParams: [],
            resultTexts: "regular"
        },
        additionGDT: {
            qID: "additionGDT",
            rParams: [],
            resultTexts: "regular"
        }
    };
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: calculatePoints(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
