"use strict";

var visibleQuestions = {
    application: true,
    primaryOIcon: true,
    primaryO: true,
    lixisenatide: false,
    exenatide: false,
    liraglutide: false,
    semaglutide: false,
    dulaglutide: false,
    clinicalTrials1: true,
    deathIcon: true,
    death: true,
    lixisenatideD: false,
    exenatideD: false,
    liraglutideD: false,
    semaglutideD: false,
    dulaglutideD: false,
    CVdeathIcon: true,
    CVdeath: true,
    lixisenatideCV: false,
    exenatideCV: false,
    liraglutideCV: false,
    semaglutideCV: false,
    dulaglutideCV: false,
    MIIcon: true,
    MI: true,
    lixisenatideMI: false,
    exenatideMI: false,
    liraglutideMI: false,
    semaglutideMI: false,
    dulaglutideMI: false,
    strokeIcon: true,
    stroke: true,
    lixisenatideS: false,
    exenatideS: false,
    liraglutideS: false,
    semaglutideS: false,
    dulaglutideS: false,
    HFIcon: true,
    HF: true,
    lixisenatideHF: false,
    exenatideHF: false,
    liraglutideHF: false,
    semaglutideHF: false,
    dulaglutideHF: false,
    renalIcon: true,
    renal: true,
    lixisenatideR: false,
    exenatideR: false,
    liraglutideR: false,
    semaglutideR: false,
    dulaglutideR: false,
    renalDosingIcon: true,
    renalDosing: true,
    lixisenatideRD: false,
    exenatideRD: false,
    liraglutideRD: false,
    semaglutideRD: false,
    dulaglutideRD: false
};
var visibleSections = {
    section0: true,
    section1: true,
    section2: true,
    section3: true,
    section4: true,
    section5: true,
    section6: true,
    section7: true,
    section8: true,
    section9: true
};
var inputs = {
    primaryO: null,
    death: null,
    CVdeath: null,
    MI: null,
    stroke: null,
    HF: null,
    renal: null,
    renalDosing: null
};
var returnVisibleQuestions = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15;
    visibleQuestions.lixisenatide = ((_a = inputs.primaryO) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "hide";
    visibleQuestions.exenatide = ((_b = inputs.primaryO) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "hide";
    visibleQuestions.liraglutide = ((_c = inputs.primaryO) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "hide";
    visibleQuestions.semaglutide = ((_d = inputs.primaryO) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "hide";
    visibleQuestions.dulaglutide = ((_e = inputs.primaryO) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "hide";
    visibleQuestions.lixisenatideD = ((_f = inputs.death) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "hide";
    visibleQuestions.exenatideD = ((_g = inputs.death) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "hide";
    visibleQuestions.liraglutideD = ((_h = inputs.death) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "hide";
    visibleQuestions.semaglutideD = ((_j = inputs.death) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "hide";
    visibleQuestions.dulaglutideD = ((_k = inputs.death) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "hide";
    visibleQuestions.lixisenatideCV =
        ((_l = inputs.CVdeath) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "hide";
    visibleQuestions.exenatideCV = ((_m = inputs.CVdeath) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "hide";
    visibleQuestions.liraglutideCV = ((_o = inputs.CVdeath) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "hide";
    visibleQuestions.semaglutideCV = ((_p = inputs.CVdeath) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "hide";
    visibleQuestions.dulaglutideCV = ((_q = inputs.CVdeath) === null || _q === void 0 ? void 0 : _q.currentIdentifier) === "hide";
    visibleQuestions.lixisenatideMI = ((_r = inputs.MI) === null || _r === void 0 ? void 0 : _r.currentIdentifier) === "hide";
    visibleQuestions.exenatideMI = ((_s = inputs.MI) === null || _s === void 0 ? void 0 : _s.currentIdentifier) === "hide";
    visibleQuestions.liraglutideMI = ((_t = inputs.MI) === null || _t === void 0 ? void 0 : _t.currentIdentifier) === "hide";
    visibleQuestions.semaglutideMI = ((_u = inputs.MI) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "hide";
    visibleQuestions.dulaglutideMI = ((_v = inputs.MI) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "hide";
    visibleQuestions.lixisenatideS = ((_w = inputs.stroke) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "hide";
    visibleQuestions.exenatideS = ((_x = inputs.stroke) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === "hide";
    visibleQuestions.liraglutideS = ((_y = inputs.stroke) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "hide";
    visibleQuestions.semaglutideS = ((_z = inputs.stroke) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "hide";
    visibleQuestions.dulaglutideS = ((_0 = inputs.stroke) === null || _0 === void 0 ? void 0 : _0.currentIdentifier) === "hide";
    visibleQuestions.lixisenatideHF = ((_1 = inputs.HF) === null || _1 === void 0 ? void 0 : _1.currentIdentifier) === "hide";
    visibleQuestions.exenatideHF = ((_2 = inputs.HF) === null || _2 === void 0 ? void 0 : _2.currentIdentifier) === "hide";
    visibleQuestions.liraglutideHF = ((_3 = inputs.HF) === null || _3 === void 0 ? void 0 : _3.currentIdentifier) === "hide";
    visibleQuestions.semaglutideHF = ((_4 = inputs.HF) === null || _4 === void 0 ? void 0 : _4.currentIdentifier) === "hide";
    visibleQuestions.dulaglutideHF = ((_5 = inputs.HF) === null || _5 === void 0 ? void 0 : _5.currentIdentifier) === "hide";
    visibleQuestions.lixisenatideR = ((_6 = inputs.renal) === null || _6 === void 0 ? void 0 : _6.currentIdentifier) === "hide";
    visibleQuestions.exenatideR = ((_7 = inputs.renal) === null || _7 === void 0 ? void 0 : _7.currentIdentifier) === "hide";
    visibleQuestions.liraglutideR = ((_8 = inputs.renal) === null || _8 === void 0 ? void 0 : _8.currentIdentifier) === "hide";
    visibleQuestions.semaglutideR = ((_9 = inputs.renal) === null || _9 === void 0 ? void 0 : _9.currentIdentifier) === "hide";
    visibleQuestions.dulaglutideR = ((_10 = inputs.renal) === null || _10 === void 0 ? void 0 : _10.currentIdentifier) === "hide";
    visibleQuestions.lixisenatideRD =
        ((_11 = inputs.renalDosing) === null || _11 === void 0 ? void 0 : _11.currentIdentifier) === "hide";
    visibleQuestions.exenatideRD =
        ((_12 = inputs.renalDosing) === null || _12 === void 0 ? void 0 : _12.currentIdentifier) === "hide";
    visibleQuestions.liraglutideRD =
        ((_13 = inputs.renalDosing) === null || _13 === void 0 ? void 0 : _13.currentIdentifier) === "hide";
    visibleQuestions.semaglutideRD =
        ((_14 = inputs.renalDosing) === null || _14 === void 0 ? void 0 : _14.currentIdentifier) === "hide";
    visibleQuestions.dulaglutideRD =
        ((_15 = inputs.renalDosing) === null || _15 === void 0 ? void 0 : _15.currentIdentifier) === "hide";
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
