"use strict";

var visibleQuestions = {
    primaryOIcon: true,
    primaryO: true,
    glimepirideO: false,
    gliclazide1: false,
    glibenclamid1: false,
    glipizide1: false,
    glikvidon1: false,
    carolina: false,
    deathIcon: true,
    death: true,
    glimepiride3: false,
    gliclazide3: false,
    glibenclamid3: false,
    glipizide3: false,
    glikvidon3: false,
    study: false,
    CVdeathIcon: true,
    CVdeath: true,
    glimepiride5: false,
    gliclazide5: false,
    glibenclamid5: false,
    glipizide5: false,
    glikvidon5: false,
    MIIcon: true,
    MI: true,
    glimepiride6: false,
    gliclazide6: false,
    glibenclamid6: false,
    glipizide6: false,
    glikvidon6: false,
    strokeIcon: true,
    stroke: true,
    glimepiride7: false,
    gliclazide7: false,
    glibenclamid7: false,
    glipizide7: false,
    glikvidon7: false,
    HFIcon: true,
    HF: true,
    glimepiride8: false,
    gliclazide8: false,
    glibenclamid8: false,
    glipizide8: false,
    glikvidon8: false,
    renalIcon: true,
    renal: true,
    glimepiride9: false,
    gliclazide9: false,
    glibenclamid9: false,
    glipizide9: false,
    glikvidon9: false,
    renalDosingIcon: true,
    renalDosing: true,
    glimepiride10: false,
    gliclazide10: false,
    glibenclamid10: false,
    glipizide10: false,
    glikvidon10: false
};
var visibleSections = {
    section1: true,
    section2: true,
    section3: true,
    section4: true,
    section5: true,
    section6: true,
    section7: true,
    section8: true,
    section9: true,
    section10: true
};
var inputs = {
    primaryO: null,
    death: null,
    CVdeath: null,
    MI: null,
    stroke: null,
    HF: null,
    renal: null,
    renalDosing: null
};
var returnVisibleQuestions = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17;
    visibleQuestions.glimepirideO = ((_a = inputs.primaryO) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "hide";
    visibleQuestions.gliclazide1 = ((_b = inputs.primaryO) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid1 =
        ((_c = inputs.primaryO) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "hide";
    visibleQuestions.glipizide1 = ((_d = inputs.primaryO) === null || _d === void 0 ? void 0 : _d.currentIdentifier) === "hide";
    visibleQuestions.glikvidon1 = ((_e = inputs.primaryO) === null || _e === void 0 ? void 0 : _e.currentIdentifier) === "hide";
    visibleQuestions.carolina = ((_f = inputs.primaryO) === null || _f === void 0 ? void 0 : _f.currentIdentifier) === "hide";
    visibleQuestions.glimepiride3 = ((_g = inputs.death) === null || _g === void 0 ? void 0 : _g.currentIdentifier) === "hide";
    visibleQuestions.gliclazide3 = ((_h = inputs.death) === null || _h === void 0 ? void 0 : _h.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid3 = ((_j = inputs.death) === null || _j === void 0 ? void 0 : _j.currentIdentifier) === "hide";
    visibleQuestions.glipizide3 = ((_k = inputs.death) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === "hide";
    visibleQuestions.glikvidon3 = ((_l = inputs.death) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "hide";
    visibleQuestions.study = ((_m = inputs.death) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "hide";
    visibleQuestions.glimepiride5 = ((_o = inputs.CVdeath) === null || _o === void 0 ? void 0 : _o.currentIdentifier) === "hide";
    visibleQuestions.gliclazide5 = ((_p = inputs.CVdeath) === null || _p === void 0 ? void 0 : _p.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid5 = ((_q = inputs.CVdeath) === null || _q === void 0 ? void 0 : _q.currentIdentifier) === "hide";
    visibleQuestions.glipizide5 = ((_r = inputs.CVdeath) === null || _r === void 0 ? void 0 : _r.currentIdentifier) === "hide";
    visibleQuestions.glikvidon5 = ((_s = inputs.CVdeath) === null || _s === void 0 ? void 0 : _s.currentIdentifier) === "hide";
    visibleQuestions.glimepiride6 = ((_t = inputs.MI) === null || _t === void 0 ? void 0 : _t.currentIdentifier) === "hide";
    visibleQuestions.gliclazide6 = ((_u = inputs.MI) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid6 = ((_v = inputs.MI) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "hide";
    visibleQuestions.glipizide6 = ((_w = inputs.MI) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "hide";
    visibleQuestions.glikvidon6 = ((_x = inputs.MI) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === "hide";
    visibleQuestions.glimepiride7 = ((_y = inputs.stroke) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "hide";
    visibleQuestions.gliclazide7 = ((_z = inputs.stroke) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid7 = ((_0 = inputs.stroke) === null || _0 === void 0 ? void 0 : _0.currentIdentifier) === "hide";
    visibleQuestions.glipizide7 = ((_1 = inputs.stroke) === null || _1 === void 0 ? void 0 : _1.currentIdentifier) === "hide";
    visibleQuestions.glikvidon7 = ((_2 = inputs.stroke) === null || _2 === void 0 ? void 0 : _2.currentIdentifier) === "hide";
    visibleQuestions.glimepiride8 = ((_3 = inputs.HF) === null || _3 === void 0 ? void 0 : _3.currentIdentifier) === "hide";
    visibleQuestions.gliclazide8 = ((_4 = inputs.HF) === null || _4 === void 0 ? void 0 : _4.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid8 = ((_5 = inputs.HF) === null || _5 === void 0 ? void 0 : _5.currentIdentifier) === "hide";
    visibleQuestions.glipizide8 = ((_6 = inputs.HF) === null || _6 === void 0 ? void 0 : _6.currentIdentifier) === "hide";
    visibleQuestions.glikvidon8 = ((_7 = inputs.HF) === null || _7 === void 0 ? void 0 : _7.currentIdentifier) === "hide";
    visibleQuestions.glimepiride9 = ((_8 = inputs.renal) === null || _8 === void 0 ? void 0 : _8.currentIdentifier) === "hide";
    visibleQuestions.gliclazide9 = ((_9 = inputs.renal) === null || _9 === void 0 ? void 0 : _9.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid9 = ((_10 = inputs.renal) === null || _10 === void 0 ? void 0 : _10.currentIdentifier) === "hide";
    visibleQuestions.glipizide9 = ((_11 = inputs.renal) === null || _11 === void 0 ? void 0 : _11.currentIdentifier) === "hide";
    visibleQuestions.glikvidon9 = ((_12 = inputs.renal) === null || _12 === void 0 ? void 0 : _12.currentIdentifier) === "hide";
    visibleQuestions.glimepiride10 =
        ((_13 = inputs.renalDosing) === null || _13 === void 0 ? void 0 : _13.currentIdentifier) === "hide";
    visibleQuestions.gliclazide10 =
        ((_14 = inputs.renalDosing) === null || _14 === void 0 ? void 0 : _14.currentIdentifier) === "hide";
    visibleQuestions.glibenclamid10 =
        ((_15 = inputs.renalDosing) === null || _15 === void 0 ? void 0 : _15.currentIdentifier) === "hide";
    visibleQuestions.glipizide10 =
        ((_16 = inputs.renalDosing) === null || _16 === void 0 ? void 0 : _16.currentIdentifier) === "hide";
    visibleQuestions.glikvidon10 =
        ((_17 = inputs.renalDosing) === null || _17 === void 0 ? void 0 : _17.currentIdentifier) === "hide";
    return visibleQuestions;
};
var returnVisibleSections = function () {
    var _a, _b;
    visibleSections.section2 = ((_a = inputs.primaryO) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === "hide";
    visibleSections.section4 = ((_b = inputs.death) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "hide";
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
