"use strict";


var visibleQuestions = {
    erythema: true,
    induration: true,
    desquamation: true,
    fissuring: true
};
var visibleSections = {
    section1: true
};
var inputs = {
    erythema: null,
    induration: null,
    desquamation: null,
    fissuring: null
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_toolScore = function () {
    return calculatePoints();
};
var calculatePoints = function () {
    var outputResult = helpers_1.formatCalculationResult(inputs.erythema.currentPoints +
        inputs.induration.currentPoints +
        inputs.desquamation.currentPoints +
        inputs.fissuring.currentPoints);
    return outputResult;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
