"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};


var visibleQuestions = {
    startDate: true,
    dose0: true,
    dose4: true,
    dose8: true,
    dose12: true,
    dose16: true,
    dose24: true,
    dose32: true,
    dose40: true,
    dose48: true,
    proceed: true,
    furtherExtend: true,
    warning1: true,
    warning2: true
};
var visibleSections = {
    schedule1: true,
    warningSection: true
};
var inputs = {
    startDate: null
};
var calculatePoints = function () {
    var _a;
    var currentDate = (_a = inputs.startDate) === null || _a === void 0 ? void 0 : _a.currentDate;
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateResultObject("dose0", currentDate)), generateResultObject("dose4", helpers_1.addDaysToDate(currentDate, 4 * 7))), generateResultObject("dose8", helpers_1.addDaysToDate(currentDate, 8 * 7))), generateResultObject("dose12", helpers_1.addDaysToDate(currentDate, 12 * 7))), generateResultObject("dose16", helpers_1.addDaysToDate(currentDate, 16 * 7))), generateResultObject("dose24", helpers_1.addDaysToDate(currentDate, 24 * 7))), generateResultObject("dose32", helpers_1.addDaysToDate(currentDate, 32 * 7))), generateResultObject("dose40", helpers_1.addDaysToDate(currentDate, 40 * 7))), generateResultObject("dose48", helpers_1.addDaysToDate(currentDate, 48 * 7))), { proceed: {
            qID: "proceed",
            resultTexts: "regular"
        }, furtherExtend: {
            qID: "furtherExtend",
            titleTexts: "regular",
            resultTexts: "regular"
        }, warning1: {
            qID: "warning1",
            resultTexts: "regular"
        }, warning2: {
            qID: "warning2",
            resultTexts: "regular"
        } });
};
var generateResultObject = function (name, value) {
    var _a;
    return _a = {},
        _a[name] = {
            qID: name,
            titleTexts: "regular",
            resultTexts: "regular",
            tParams: [
                {
                    type: "date",
                    value: value
                },
            ]
        },
        _a;
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});