"use strict";


var visibleQuestions = {
    age: true,
    noAnswerOutput: true,
    kidsDose1: true,
    adultDoseCapsules1: true,
    adultDoseCapsules2: true,
    adultDoseInfusion1: true,
    warningInfusion1: true,
    adultDoseInfusion2: true,
    warningKidney1: true,
    warning1: true
};
var visibleSections = {
    input: true,
    noAnswer: false,
    kidsDose: false,
    adultDoseCapsules: false,
    adultDoseInfusion: false,
    warningKidney: false,
    warning: false
};
var inputs = {
    age: null
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.noAnswer = !helpers_1.isAnswered(inputs.age);
    visibleSections.kidsDose = helpers_1.answerMatches(inputs.age, 'kids');
    visibleSections.adultDoseCapsules = helpers_1.answerMatches(inputs.age, 'adult');
    visibleSections.adultDoseInfusion = helpers_1.answerMatches(inputs.age, 'adult');
    visibleSections.warningKidney = helpers_1.answerMatches(inputs.age, 'adult');
    visibleSections.warning = helpers_1.answerMatches(inputs.age, 'adult');
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return helpers_1.isAnswered(inputs.age);
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
