"use strict";

var visibleQuestions = {
    hbA1c: true,
    results1: true,
    results2: true,
    results3: true,
    results4: true
};
var visibleSections = {
    main: true,
    result1: false,
    result2: false
};
var inputs = {
    hbA1c: null
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.result1 = !helpers_1.isAnswered(inputs.hbA1c);
    visibleSections.result2 = helpers_1.isAnswered(inputs.hbA1c);
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var calculatePoints = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0;
    var mmolUnit = ((_a = inputs.hbA1c) === null || _a === void 0 ? void 0 : _a.currentIdentifier) === null ||
        ((_b = inputs.hbA1c) === null || _b === void 0 ? void 0 : _b.currentIdentifier) === "emptyAnswerIdentifier"
        ? null
        : ((_c = inputs.hbA1c) === null || _c === void 0 ? void 0 : _c.currentIdentifier) === "percentGlyHb"
            ? Number((_d = inputs.hbA1c) === null || _d === void 0 ? void 0 : _d.currentPoints) >= 0 &&
                Number((_e = inputs.hbA1c) === null || _e === void 0 ? void 0 : _e.currentPoints) <= 25
                ? 10.93 * Number((_f = inputs.hbA1c) === null || _f === void 0 ? void 0 : _f.currentPoints) - 23.5
                : null
            : Number((_g = inputs.hbA1c) === null || _g === void 0 ? void 0 : _g.currentPoints) >= 0 &&
                Number((_h = inputs.hbA1c) === null || _h === void 0 ? void 0 : _h.currentPoints) <= 250
                ? Number((_j = inputs.hbA1c) === null || _j === void 0 ? void 0 : _j.currentPoints)
                : null;
    var glyUnit = ((_k = inputs.hbA1c) === null || _k === void 0 ? void 0 : _k.currentIdentifier) === null ||
        ((_l = inputs.hbA1c) === null || _l === void 0 ? void 0 : _l.currentIdentifier) === "emptyAnswerIdentifier"
        ? null
        : ((_m = inputs.hbA1c) === null || _m === void 0 ? void 0 : _m.currentIdentifier) === "percentGlyHb"
            ? Number((_o = inputs.hbA1c) === null || _o === void 0 ? void 0 : _o.currentPoints) >= 0 &&
                Number((_p = inputs.hbA1c) === null || _p === void 0 ? void 0 : _p.currentPoints) <= 25
                ? Number((_q = inputs.hbA1c) === null || _q === void 0 ? void 0 : _q.currentPoints)
                : null
            : Number((_r = inputs.hbA1c) === null || _r === void 0 ? void 0 : _r.currentPoints) >= 0 &&
                Number((_s = inputs.hbA1c) === null || _s === void 0 ? void 0 : _s.currentPoints) <= 250
                ? 0.0915 * Number((_t = inputs.hbA1c) === null || _t === void 0 ? void 0 : _t.currentPoints) + 2.15
                : null;
    var mmolmol = ((_u = inputs.hbA1c) === null || _u === void 0 ? void 0 : _u.currentIdentifier) === "mmolMol" || mmolUnit === null
        ? null
        : Math.round(mmolUnit * 10) / 10;
    var glyHgb = ((_v = inputs.hbA1c) === null || _v === void 0 ? void 0 : _v.currentIdentifier) === "mmolMol" && glyUnit !== null
        ? Math.round(glyUnit * 10) / 10
        : null;
    var mmolL = glyUnit !== null ? helpers_1.formatCalculationResult(1.59 * glyUnit - 2.59, 1) : null;
    var mgdl = glyUnit !== null ? helpers_1.formatCalculationResult(28.7 * glyUnit - 46.7, 1) : null;
    var resultValue = ((_w = inputs.hbA1c) === null || _w === void 0 ? void 0 : _w.currentIdentifier) === "percentGlyHb" ? mmolmol : glyHgb;
    return {
        number: "0",
        range: "0",
        results1: {
            qID: "results1",
            tParams: [
                {
                    type: "string",
                    value: ((_x = inputs.hbA1c) === null || _x === void 0 ? void 0 : _x.currentIdentifier) === null ||
                        ((_y = inputs.hbA1c) === null || _y === void 0 ? void 0 : _y.currentIdentifier) === "emptyAnswerIdentifier" ||
                        ((_z = inputs.hbA1c) === null || _z === void 0 ? void 0 : _z.currentIdentifier) === "percentGlyHb"
                        ? "mmol/mol"
                        : "% gly Hb"
                },
            ],
            titleTexts: "regular"
        },
        results2: {
            qID: "results2",
            tParams: [],
            titleTexts: "regular"
        },
        results3: {
            qID: "results3",
            tParams: [
                {
                    type: "number",
                    value: resultValue
                },
                {
                    type: "string",
                    value: ((_0 = inputs.hbA1c) === null || _0 === void 0 ? void 0 : _0.currentIdentifier) === "percentGlyHb"
                        ? "mmol/mol"
                        : "% gly Hb"
                },
            ],
            titleTexts: "regular"
        },
        results4: {
            qID: "results4",
            tParams: [
                {
                    type: "number",
                    value: mmolL
                },
                {
                    type: "number",
                    value: mgdl
                },
            ],
            titleTexts: "regular"
        }
    };
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
