"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};


var visibleQuestions = {
    age: true,
    excercise: true,
    insidiousOnset: true,
    nightPain: true,
    rest: true
};
var visibleSections = {
    main: true
};
var inputs = {
    age: null,
    excercise: null,
    insidiousOnset: null,
    nightPain: null,
    rest: null
};
var calculatePoints = function () {
    var outputResult = helpers_1.formatCalculationResult(Number(inputs.age.currentPoints) +
        Number(inputs.excercise.currentPoints) +
        Number(inputs.insidiousOnset.currentPoints) +
        Number(inputs.nightPain.currentPoints) +
        Number(inputs.rest.currentPoints));
    return helpers_1.returnToolScoreObject({
        number: outputResult,
        range: outputResult
    });
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return true;
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return __assign(__assign({ exportResultsEnabled: isExportResultsEnabled() }, result), { visibleQuestions: ut_visibleQuestions(), visibleSections: ut_visibleSections() });
});
