"use strict";

var visibleQuestions = {
    atezolizumab: true,
    indication1: false,
    name1: false,
    smpcLink1: false,
    durvalumab: true,
    indication2: false,
    name2: false,
    smpcLink2: false
};
var visibleSections = {
    section1: true,
    section2: true
};
var inputs = {
    atezolizumab: null,
    durvalumab: null
};
var isAtezolizumabOpened = function () {
    return inputs.atezolizumab.currentIdentifier === 'close';
};
var isDurvalumabOpened = function () {
    return inputs.durvalumab.currentIdentifier === 'close';
};
var returnVisibleQuestions = function () {
    visibleQuestions.indication1 = isAtezolizumabOpened();
    visibleQuestions.name1 = isAtezolizumabOpened();
    visibleQuestions.smpcLink1 = isAtezolizumabOpened();
    visibleQuestions.indication2 = isDurvalumabOpened();
    visibleQuestions.name2 = isDurvalumabOpened();
    visibleQuestions.smpcLink2 = isDurvalumabOpened();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return true;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
