"use strict";

var math_1 = {

    erf: function(input) {
        var a1 = 0.254829592;
        var a2 = -0.284496736;
        var a3 = 1.421413741;
        var a4 = -1.453152027;
        var a5 = 1.061405429;
        var p = 0.3275911;
        var sign = input < 0 ? -1 : 1;
        var value = Math.abs(input);

        var t = 1.0 / (1.0 + p * value);
        var y = 1.0 -
            ((((a5 * t + a4) * t + a3) * t + a2) * t + a1) *
                t *
                Math.exp(-value * value);
        return sign * y;
    }
}
