"use strict";


var visibleQuestions = {
    VPMDCriteria: true,
    answerAll: true,
    notReimbursed: false,
    eylea: false,
    lucentis: false
};
var visibleSections = {
    questions: true,
    results: true
};
var inputs = {
    VPMDCriteria: null
};
var isAnswerAllVisible = function () {
    return !helpers_1.isAnswered(inputs.VPMDCriteria);
};
var isNotReimbursedVisible = function () {
    return helpers_1.answerMatches(inputs.VPMDCriteria, 'no');
};
var isEyleaAndLucentisVisible = function () {
    return helpers_1.answerMatches(inputs.VPMDCriteria, 'yes');
};
var returnVisibleQuestions = function () {
    visibleQuestions.answerAll = isAnswerAllVisible();
    visibleQuestions.notReimbursed = isNotReimbursedVisible();
    visibleQuestions.eylea = isEyleaAndLucentisVisible();
    visibleQuestions.lucentis = isEyleaAndLucentisVisible();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return false;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: null,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
