"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};


var visibleQuestions = {
    weightLoss: true,
    livedoReticularis: true,
    testicularPain: true,
    myalgias: true,
    mononeuropathyPolyneuropathy: true,
    bloodPressure: true,
    bunCreatinine: true,
    hepatitisB: true,
    arteriographicAbnormality: true,
    biopsy: true
};
var visibleSections = {
    inputSection: true
};
var inputs = {
    weightLoss: null,
    livedoReticularis: null,
    testicularPain: null,
    myalgias: null,
    mononeuropathyPolyneuropathy: null,
    bloodPressure: null,
    bunCreatinine: null,
    hepatitisB: null,
    arteriographicAbnormality: null,
    biopsy: null
};
var calculateSumOfPoints = function () {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
    return (Number((_a = inputs.weightLoss) === null || _a === void 0 ? void 0 : _a.currentPoints) +
        Number((_b = inputs.livedoReticularis) === null || _b === void 0 ? void 0 : _b.currentPoints) +
        Number((_c = inputs.testicularPain) === null || _c === void 0 ? void 0 : _c.currentPoints) +
        Number((_d = inputs.myalgias) === null || _d === void 0 ? void 0 : _d.currentPoints) +
        Number((_e = inputs.mononeuropathyPolyneuropathy) === null || _e === void 0 ? void 0 : _e.currentPoints) +
        Number((_f = inputs.bloodPressure) === null || _f === void 0 ? void 0 : _f.currentPoints) +
        Number((_g = inputs.bunCreatinine) === null || _g === void 0 ? void 0 : _g.currentPoints) +
        Number((_h = inputs.hepatitisB) === null || _h === void 0 ? void 0 : _h.currentPoints) +
        Number((_j = inputs.arteriographicAbnormality) === null || _j === void 0 ? void 0 : _j.currentPoints) +
        Number((_k = inputs.biopsy) === null || _k === void 0 ? void 0 : _k.currentPoints));
};
var calculatePoints = function () {
    var result = calculateSumOfPoints();
    if (result >= 3) {
        return helpers_1.returnToolScoreObject({
            number: result,
            range: result,
            resultById: 'meetsCriteria'
        });
    }
    return helpers_1.returnToolScoreObject({
        number: result,
        range: result,
        resultById: 'doesNotMeetCriteria'
    });
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var isExportResultsEnabled = function () {
    return true;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return __assign(__assign({ exportResultsEnabled: isExportResultsEnabled() }, result), { visibleQuestions: ut_visibleQuestions(), visibleSections: ut_visibleSections() });
});
