"use strict";

var visibleQuestions = {
    area: true,
    erythema: true,
    induration: true,
    desquamation: true,
    sendMail: true
};
var visibleSections = {
    main: true,
    emailSection: true
};
var inputs = {
    area: null,
    erythema: null,
    induration: null,
    desquamation: null
};
var calculatePoints = function () {
    var outputResult = helpers_1.formatCalculationResult(inputs.area.currentPoints *
        (inputs.erythema.currentPoints +
            inputs.induration.currentPoints +
            inputs.desquamation.currentPoints), 2);
    return outputResult;
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var ut_toolScore = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        result: { number: result, range: result },
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
