"use strict";


var visibleQuestions = {
    diabetes: true,
    treatment1: false,
    obesity: false,
    treatment2: false,
    treatment3: false,
    noReimbursment: false,
    reimbursement1: false,
    reimbursement2: false,
    reimbursement3: false,
    noAnswer: false
};
var visibleSections = {
    inputSection: true,
    resultSection: true
};
var inputs = {
    diabetes: null,
    treatment1: null,
    obesity: null,
    treatment2: null,
    treatment3: null
};
var calculatePoints = function () {
    return null;
};
var answeredAll = function () {
    return ((0, helpers_1.answerMatches)(inputs.diabetes, 'no') ||
        (0, helpers_1.answerMatches)(inputs.obesity, 'yes') ||
        (0, helpers_1.answerMatches)(inputs.treatment2, 'yes') ||
        (0, helpers_1.isAnswered)(inputs.treatment3));
};
var returnVisibleQuestions = function () {
    visibleQuestions.treatment1 = (0, helpers_1.answerMatches)(inputs.diabetes, 'yes');
    visibleQuestions.obesity = (0, helpers_1.answerMatches)(inputs.treatment1, 'yes');
    visibleQuestions.treatment2 =
        (0, helpers_1.answerMatches)(inputs.obesity, 'no') ||
            (0, helpers_1.answerMatches)(inputs.treatment1, 'no');
    visibleQuestions.treatment3 = (0, helpers_1.answerMatches)(inputs.treatment2, 'no');
    visibleQuestions.noReimbursment =
        (0, helpers_1.answerMatches)(inputs.diabetes, 'no') ||
            (0, helpers_1.answerMatches)(inputs.treatment3, 'no');
    visibleQuestions.reimbursement1 = (0, helpers_1.answerMatches)(inputs.obesity, 'yes');
    visibleQuestions.reimbursement2 = (0, helpers_1.answerMatches)(inputs.treatment2, 'yes');
    visibleQuestions.reimbursement3 = (0, helpers_1.answerMatches)(inputs.treatment3, 'yes');
    visibleQuestions.noAnswer = !answeredAll();
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return answeredAll();
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
