"use strict";


var visibleQuestions = {
    age: true,
    textNoAnswer: true,
    stopChildren: false,
    dosingIV: false,
    sulfdosingiv: false,
    durationdosingiv: false,
    warningAdultsSmall: false,
    dosingAdultsTabletsSecondDosing: false,
    sulfdosing400: false,
    durationAdultsTabletsSecond: false,
    warningAdults: false,
    dosingAdultsTabletsDose: false,
    sulfdosing800: false,
    durationAdultsTablets: false,
    warningAdultsSusp: false,
    dosingSuspensionAdults: false,
    sulfDosing: false,
    durationAdultsSuspension: false,
    kidneygray: false,
    kidneyYellow: false,
    kidneyRed: false,
    text: false
};
var visibleSections = {
    selection: true,
    noAnswer: true,
    dosingChildrenSmall: false,
    dosingiv: false,
    dosingAdultsTabletsSecond: false,
    dosingAdultsTablets: false,
    dosingAdultsSuspension: false,
    kidneySection: false,
    noteAntibiotics: false
};
var inputs = {
    age: null
};
var calculatePoints = function () {
    return null;
};
var isAgeMatching = function (name) {
    return helpers_1.answerMatches(inputs.age, name);
};
var returnVisibleQuestions = function () {
    visibleQuestions.textNoAnswer = !helpers_1.isAnswered(inputs.age);
    visibleQuestions.stopChildren = isAgeMatching('children');
    visibleQuestions.dosingIV = isAgeMatching('adults');
    visibleQuestions.sulfdosingiv = isAgeMatching('adults');
    visibleQuestions.durationdosingiv = isAgeMatching('adults');
    visibleQuestions.warningAdultsSmall = isAgeMatching('adults');
    visibleQuestions.dosingAdultsTabletsSecondDosing = isAgeMatching('adults');
    visibleQuestions.sulfdosing400 = isAgeMatching('adults');
    visibleQuestions.durationAdultsTabletsSecond = isAgeMatching('adults');
    visibleQuestions.warningAdults = isAgeMatching('adults');
    visibleQuestions.dosingAdultsTabletsDose = isAgeMatching('adults');
    visibleQuestions.sulfdosing800 = isAgeMatching('adults');
    visibleQuestions.durationAdultsTablets = isAgeMatching('adults');
    visibleQuestions.warningAdultsSusp = isAgeMatching('adults');
    visibleQuestions.dosingSuspensionAdults = isAgeMatching('adults');
    visibleQuestions.sulfDosing = isAgeMatching('adults');
    visibleQuestions.durationAdultsSuspension = isAgeMatching('adults');
    visibleQuestions.kidneygray = isAgeMatching('adults');
    visibleQuestions.kidneyYellow = isAgeMatching('adults');
    visibleQuestions.kidneyRed = isAgeMatching('adults');
    visibleQuestions.text = isAgeMatching('adults');
    return visibleQuestions;
};
var returnVisibleSections = function () {
    visibleSections.noAnswer = !helpers_1.isAnswered(inputs.age);
    visibleSections.dosingChildrenSmall = isAgeMatching('children');
    visibleSections.dosingiv = isAgeMatching('adults');
    visibleSections.dosingAdultsTabletsSecond = isAgeMatching('adults');
    visibleSections.dosingAdultsTablets = isAgeMatching('adults');
    visibleSections.dosingAdultsSuspension = isAgeMatching('adults');
    visibleSections.kidneySection = isAgeMatching('adults');
    visibleSections.noteAntibiotics = isAgeMatching('adults');
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return helpers_1.isAnswered(inputs.age);
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections()
    };
});
