"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};


var visibleQuestions = {
    firstAssessesment: true,
    dose1: true,
    dose2: true,
    dose3: true,
    secondAssessment: true,
    dose4: true,
    thirdAssessment: true,
    dose5: true,
    dose6: true,
    dose7: true,
    fourthAssessment: true,
    dose8: true,
    dose9: true,
    dose10: true,
    fifthAssessment: true,
    dose11: true,
    dose12: true,
    dose13: true,
    sixthAssessment: true,
    dose14: true
};
var visibleSections = {
    section1: true
};
var inputs = {
    firstAssessesment: null,
    dose1: null,
    dose2: null,
    dose3: null,
    secondAssessment: null,
    dose4: null,
    thirdAssessment: null,
    dose5: null,
    dose6: null,
    dose7: null,
    fourthAssessment: null,
    dose8: null,
    dose9: null,
    dose10: null,
    fifthAssessment: null,
    dose11: null,
    dose12: null,
    dose13: null,
    sixthAssessment: null,
    dose14: null
};
var actionResolverResult = {
    updatedFirstAssessment: {},
    updatedDose1: {},
    updatedDose2: {},
    updatedDose3: {},
    updatedSecondAssessment: {},
    updatedDose4: {},
    updatedThirdAssessment: {},
    updatedDose5: {},
    updatedDose6: {},
    updatedDose7: {},
    updatedFourthAssessment: {},
    updatedDose8: {},
    updatedDose9: {},
    updatedDose10: {},
    updatedFifthAssessment: {},
    updatedDose11: {},
    updatedDose12: {},
    updatedDose13: {}
};
var calculatePoints = function () {
    return null;
};
var returnVisibleQuestions = function () {
    return visibleQuestions;
};
var returnVisibleSections = function () {
    return visibleSections;
};
var isExportResultsEnabled = function () {
    return true;
};
var ut_formatTexts = function () {
    return calculatePoints();
};
var ut_visibleQuestions = function () {
    return returnVisibleQuestions();
};
var ut_visibleSections = function () {
    return returnVisibleSections();
};
var ut_exportResultsEnabled = function () {
    return isExportResultsEnabled();
};
var ut_actionResolver = function (action, date) {
    return actionResolver(action, date);
};
var actionResolver = function (action, date) {
    switch (action) {
        case 'updatedFirstAssessment':
            actionResolverResult.updatedFirstAssessment =
                updatedFirstAssessment(date);
            return updatedFirstAssessment(date);
        case 'updatedDose1':
            actionResolverResult.updatedDose1 = updatedDose1(date);
            return updatedDose1(date);
        case 'updatedDose2':
            actionResolverResult.updatedDose2 = updatedDose2(date);
            return updatedDose2(date);
        case 'updatedDose3':
            actionResolverResult.updatedDose3 = updatedDose3(date);
            return updatedDose3(date);
        case 'updatedSecondAssessment':
            actionResolverResult.updatedSecondAssessment =
                updatedSecondAssessment(date);
            return updatedSecondAssessment(date);
        case 'updatedDose4':
            actionResolverResult.updatedDose4 = updatedDose4(date);
            return updatedDose4(date);
        case 'updatedThirdAssessment':
            actionResolverResult.updatedThirdAssessment =
                updatedThirdAssessment(date);
            return updatedThirdAssessment(date);
        case 'updatedDose5':
            actionResolverResult.updatedDose5 = updatedDose5(date);
            return updatedDose5(date);
        case 'updatedDose6':
            actionResolverResult.updatedDose6 = updatedDose6(date);
            return updatedDose6(date);
        case 'updatedDose7':
            actionResolverResult.updatedDose7 = updatedDose7(date);
            return updatedDose7(date);
        case 'updatedFourthAssessment':
            actionResolverResult.updatedFourthAssessment =
                updatedFourthAssessment(date);
            return updatedFourthAssessment(date);
        case 'updatedDose8':
            actionResolverResult.updatedDose8 = updatedDose8(date);
            return updatedDose8(date);
        case 'updatedDose9':
            actionResolverResult.updatedDose9 = updatedDose9(date);
            return updatedDose9(date);
        case 'updatedDose10':
            actionResolverResult.updatedDose10 = updatedDose10(date);
            return updatedDose10(date);
        case 'updatedFifthAssessment':
            actionResolverResult.updatedFifthAssessment =
                updatedFifthAssessment(date);
            return updatedFifthAssessment(date);
        case 'updatedDose11':
            actionResolverResult.updatedDose11 = updatedDose11(date);
            return updatedDose11(date);
        case 'updatedDose12':
            actionResolverResult.updatedDose12 = updatedDose12(date);
            return updatedDose12(date);
        case 'updatedDose13':
            actionResolverResult.updatedDose13 = updatedDose13(date);
            return updatedDose13(date);
        default:
            return null;
    }
};
var generateUpdatedDose = function (name, date, daysToAdd) {
    var _a;
    return _a = {},
        _a[name] = helpers_1.generateQuestionObject(name, null, helpers_1.addDaysToDate(date, daysToAdd), 'date'),
        _a;
};
var updatedFirstAssessment = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose1', date, 0)), generateUpdatedDose('secondAssessment', date, 84)), generateUpdatedDose('dose2', date, 28)), generateUpdatedDose('dose3', date, 84)), generateUpdatedDose('dose4', date, 140)), generateUpdatedDose('thirdAssessment', date, 168)), generateUpdatedDose('dose5', date, 196)), generateUpdatedDose('dose6', date, 252)), generateUpdatedDose('dose7', date, 308)), generateUpdatedDose('fourthAssessment', date, 336)), generateUpdatedDose('dose8', date, 364)), generateUpdatedDose('dose9', date, 420)), generateUpdatedDose('dose10', date, 476)), generateUpdatedDose('fifthAssessment', date, 504)), generateUpdatedDose('dose11', date, 532)), generateUpdatedDose('dose12', date, 588)), generateUpdatedDose('dose13', date, 644)), generateUpdatedDose('sixthAssessment', date, 672)), generateUpdatedDose('dose14', date, 700));
    return updatedInputDates;
};
var updatedDose1 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose2', date, 28)), generateUpdatedDose('dose3', date, 84)), generateUpdatedDose('dose4', date, 140)), generateUpdatedDose('dose5', date, 196)), generateUpdatedDose('dose6', date, 252)), generateUpdatedDose('dose7', date, 308)), generateUpdatedDose('dose8', date, 364)), generateUpdatedDose('dose9', date, 420)), generateUpdatedDose('dose10', date, 476)), generateUpdatedDose('dose11', date, 532)), generateUpdatedDose('dose12', date, 588)), generateUpdatedDose('dose13', date, 644)), generateUpdatedDose('dose14', date, 700));
    return updatedInputDates;
};
var updatedDose2 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose3', date, 56)), generateUpdatedDose('dose4', date, 112)), generateUpdatedDose('dose5', date, 168)), generateUpdatedDose('dose6', date, 224)), generateUpdatedDose('dose7', date, 280)), generateUpdatedDose('dose8', date, 336)), generateUpdatedDose('dose9', date, 392)), generateUpdatedDose('dose10', date, 448)), generateUpdatedDose('dose11', date, 504)), generateUpdatedDose('dose12', date, 560)), generateUpdatedDose('dose13', date, 616)), generateUpdatedDose('dose14', date, 672));
    return updatedInputDates;
};
var updatedDose3 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose4', date, 56)), generateUpdatedDose('dose5', date, 112)), generateUpdatedDose('dose6', date, 168)), generateUpdatedDose('dose7', date, 224)), generateUpdatedDose('dose8', date, 280)), generateUpdatedDose('dose9', date, 336)), generateUpdatedDose('dose10', date, 392)), generateUpdatedDose('dose11', date, 448)), generateUpdatedDose('dose12', date, 504)), generateUpdatedDose('dose13', date, 560)), generateUpdatedDose('dose14', date, 616));
    return updatedInputDates;
};
var updatedDose4 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose5', date, 56)), generateUpdatedDose('dose6', date, 112)), generateUpdatedDose('dose7', date, 168)), generateUpdatedDose('dose8', date, 224)), generateUpdatedDose('dose9', date, 280)), generateUpdatedDose('dose10', date, 336)), generateUpdatedDose('dose11', date, 392)), generateUpdatedDose('dose12', date, 448)), generateUpdatedDose('dose13', date, 504)), generateUpdatedDose('dose14', date, 560));
    return updatedInputDates;
};
var updatedDose5 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose6', date, 56)), generateUpdatedDose('dose7', date, 112)), generateUpdatedDose('dose8', date, 168)), generateUpdatedDose('dose9', date, 224)), generateUpdatedDose('dose10', date, 280)), generateUpdatedDose('dose11', date, 336)), generateUpdatedDose('dose12', date, 392)), generateUpdatedDose('dose13', date, 448)), generateUpdatedDose('dose14', date, 504));
    return updatedInputDates;
};
var updatedDose6 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose7', date, 56)), generateUpdatedDose('dose8', date, 112)), generateUpdatedDose('dose9', date, 168)), generateUpdatedDose('dose10', date, 224)), generateUpdatedDose('dose11', date, 280)), generateUpdatedDose('dose12', date, 336)), generateUpdatedDose('dose13', date, 392)), generateUpdatedDose('dose14', date, 448));
    return updatedInputDates;
};
var updatedDose7 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose8', date, 56)), generateUpdatedDose('dose9', date, 112)), generateUpdatedDose('dose10', date, 168)), generateUpdatedDose('dose11', date, 224)), generateUpdatedDose('dose12', date, 280)), generateUpdatedDose('dose13', date, 336)), generateUpdatedDose('dose14', date, 392));
    return updatedInputDates;
};
var updatedDose8 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose9', date, 56)), generateUpdatedDose('dose10', date, 112)), generateUpdatedDose('dose11', date, 168)), generateUpdatedDose('dose12', date, 224)), generateUpdatedDose('dose13', date, 280)), generateUpdatedDose('dose14', date, 336));
    return updatedInputDates;
};
var updatedDose9 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign(__assign({}, generateUpdatedDose('dose10', date, 56)), generateUpdatedDose('dose11', date, 112)), generateUpdatedDose('dose12', date, 168)), generateUpdatedDose('dose13', date, 224)), generateUpdatedDose('dose14', date, 280));
    return updatedInputDates;
};
var updatedDose10 = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign({}, generateUpdatedDose('dose11', date, 56)), generateUpdatedDose('dose12', date, 112)), generateUpdatedDose('dose13', date, 168)), generateUpdatedDose('dose14', date, 224));
    return updatedInputDates;
};
var updatedDose11 = function (date) {
    var updatedInputDates = __assign(__assign(__assign({}, generateUpdatedDose('dose12', date, 56)), generateUpdatedDose('dose13', date, 112)), generateUpdatedDose('dose14', date, 168));
    return updatedInputDates;
};
var updatedDose12 = function (date) {
    var updatedInputDates = __assign(__assign({}, generateUpdatedDose('dose13', date, 56)), generateUpdatedDose('dose14', date, 112));
    return updatedInputDates;
};
var updatedDose13 = function (date) {
    var updatedInputDates = __assign({}, generateUpdatedDose('dose14', date, 56));
    return updatedInputDates;
};
var updatedSecondAssessment = function (date) {
    var updatedInputDates = __assign(__assign(__assign(__assign({}, generateUpdatedDose('thirdAssessment', date, 84)), generateUpdatedDose('fourthAssessment', date, 252)), generateUpdatedDose('fifthAssessment', date, 420)), generateUpdatedDose('sixthAssessment', date, 588));
    return updatedInputDates;
};
var updatedThirdAssessment = function (date) {
    var updatedInputDates = __assign(__assign(__assign({}, generateUpdatedDose('fourthAssessment', date, 168)), generateUpdatedDose('fifthAssessment', date, 336)), generateUpdatedDose('sixthAssessment', date, 504));
    return updatedInputDates;
};
var updatedFourthAssessment = function (date) {
    var updatedInputDates = __assign(__assign({}, generateUpdatedDose('fifthAssessment', date, 168)), generateUpdatedDose('sixthAssessment', date, 336));
    return updatedInputDates;
};
var updatedFifthAssessment = function (date) {
    var updatedInputDates = __assign({}, generateUpdatedDose('sixthAssessment', date, 168));
    return updatedInputDates;
};
exports["default"] = (function (props) {
    Object.keys(props).forEach(function (propName) {
        inputs[propName] = props[propName];
    });
    var result = calculatePoints();
    return {
        exportResultsEnabled: isExportResultsEnabled(),
        result: result,
        actionResolverResult: actionResolverResult,
        visibleQuestions: ut_visibleQuestions(),
        visibleSections: ut_visibleSections(),
        actionResolver: ut_actionResolver
    };
});
